/* wrecked.conf routines
  
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
 */

#include "services.h"

/* Vars for everything */
char remote_server[63], password[32], server_name[63], ruplink[63];
char server_desc[50], tld[64], network_name[64], contact_url[256];
char s_NickServ[NICKMAX], ns_user[10], ns_host[63], ns_realname[50];
char s_ChanServ[NICKMAX], cs_user[10], cs_host[63], cs_realname[50];
char s_MemoServ[NICKMAX], ms_user[10], ms_host[63], ms_realname[50];
char s_OperServ[NICKMAX], os_user[10], os_host[63], os_realname[50];
char s_StatServ[NICKMAX], ss_user[10], ss_host[63], ss_realname[50];
char s_InfoServ[NICKMAX], is_user[10], is_host[63], is_realname[50];
char s_GlobalNoticer[NICKMAX], gn_user[10], gn_host[63], gn_realname[50];
char s_SpamChecker[NICKMAX], sc_user[10], sc_host[63], sc_realname[50];
char snoop_chan[32], ms_email[128], ns_email[128], cs_email[128];
char abuse_email[128], sendmail_path[256], founder_info[256];
char newnick_info[256], guested_info[256], collide_type[16];
char def_akick_reason[100], def_clone_reason[100], bindhost[63];
char management_style[16], default_mlock_on[32], default_mlock_off[32];
int memobox_limit, update_timeout, remote_port, ping_frequency, bindport;
int server_relink = -1, starthresh, memo_delay, creg_delay, nreg_delay;
Boolean_T nickserv_on = FALSE, chanserv_on = FALSE, memoserv_on = FALSE;
Boolean_T operserv_on = FALSE, statserv_on = FALSE, infoserv_on = FALSE;
Boolean_T globalnoticer_on = FALSE, spamchecker_on = FALSE, memomail_on = FALSE;
Boolean_T akill_on = FALSE, clones_on = FALSE, clone_kill_on = FALSE;
Boolean_T show_sync_on = FALSE, globalonreg_on = FALSE, allowjoin_on = FALSE;
Boolean_T global_update_on = FALSE, alwaysjoin_on = FALSE;
Boolean_T msgdefault_on = FALSE, needemail_on = FALSE, stamplogons_on = FALSE;

/* Strip unwanted chars out of lines - Borrowed from GeoStats */
void strip (char *line)
{
    char *c;

    if (line)
    {
	if ((c = strchr (line, '\n')))
	    *c = '\0';
	if ((c = strchr (line, '\r')))
	    *c = '\0';
    }
}

/* Load and parse the conf file */
void load_conf (void)
{

    FILE *f = fopen (CONFIG_FILE, "r");
    char *item, *s, dBuf[BUFSIZE];

    if (!f)
    {
	log (ERR_NO_CONFIG);
	exit (1);
    }

    while (fgets (dBuf, 2047, f))
    {
	item = strtok (dBuf, " ");
	strip (item);

	if (*item == '#' || *item == '\t' || *item == ' ')
	    continue;

	if (!stricmp (item, "Info"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s && strchr (s, '.'))
		memcpy (server_name, s, sizeof (server_name));
	    else
		fatal ("Error in config: Info is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (server_desc, s, sizeof (server_desc));
	    else
		fatal ("Error in config: Info is not set properly.");
	}

	if (!stricmp (item, "Connect"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (remote_server, s, sizeof (remote_server));
	    else
		fatal ("Error in config: Connect is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (password, s, sizeof (password));
	    else
		fatal ("Error in config: Connect is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ruplink, s, sizeof (ruplink));
	    else
		fatal ("Error in config: Connect is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		remote_port = atoi (s);
	    else
		fatal ("Error in config: Connect is not set properly.");
	}

	if (!stricmp (item, "BindTo"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (bindhost, s, sizeof (bindhost));
	    else
		fatal ("Error in config: BindTo is not set properly.");
         
	    s = strtok (NULL, " ");
	    strip (s);
            
	    if (s)
		bindport = atoi (s);
	    else
		fatal ("Error in config: BindTo is not set properly.");
	}

	if (!stricmp (item, "NickServ"))
	{
	    nickserv_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_NickServ, s, sizeof (s_NickServ));
	    else
		fatal ("Error in config: NickServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ns_user, s, sizeof (ns_user));
	    else
		fatal ("Error in config: NickServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ns_host, s, sizeof (ns_host));
	    else
		fatal ("Error in config: NickServ is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (ns_realname, s, sizeof (ns_realname));
	    else
		fatal ("Error in config: NickServ is not set properly.");
	}

	if (!stricmp (item, "ChanServ"))
	{
	    chanserv_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_ChanServ, s, sizeof (s_ChanServ));
	    else
		fatal ("Error in config: ChanServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (cs_user, s, sizeof (cs_user));
	    else
		fatal ("Error in config: ChanServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (cs_host, s, sizeof (cs_host));
	    else
		fatal ("Error in config: ChanServ is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (cs_realname, s, sizeof (cs_realname));
	    else
		fatal ("Error in config: ChanServ is not set properly.");
	}

	if (!stricmp (item, "MemoServ"))
	{
	    memoserv_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_MemoServ, s, sizeof (s_MemoServ));
	    else
		fatal ("Error in config: MemoServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ms_user, s, sizeof (ms_user));
	    else
		fatal ("Error in config: MemoServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ms_host, s, sizeof (ms_host));
	    else
		fatal ("Error in config: MemoServ is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (ms_realname, s, sizeof (ms_realname));
	    else
		fatal ("Error in config: MemoServ is not set properly.");
	}

	if (!stricmp (item, "OperServ"))
	{
	    operserv_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_OperServ, s, sizeof (s_OperServ));
	    else
		fatal ("Error in config: OperServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (os_user, s, sizeof (os_user));
	    else
		fatal ("Error in config: OperServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (os_host, s, sizeof (os_host));
	    else
		fatal ("Error in config: OperServ is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (os_realname, s, sizeof (os_realname));
	    else
		fatal ("Error in config: OperServ is not set properly.");
	}

	if (!stricmp (item, "StatServ"))
	{
	    statserv_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_StatServ, s, sizeof (s_StatServ));
	    else
		fatal ("Error in config: StatServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ss_user, s, sizeof (ss_user));
	    else
		fatal ("Error in config: StatServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ss_host, s, sizeof (ss_host));
	    else
		fatal ("Error in config: StatServ is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (ss_realname, s, sizeof (ss_realname));
	    else
		fatal ("Error in config: StatServ is not set properly.");
	}

	if (!stricmp (item, "InfoServ"))
	{
	    infoserv_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_InfoServ, s, sizeof (s_InfoServ));
	    else
		fatal ("Error in config: InfoServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (is_user, s, sizeof (is_user));
	    else
		fatal ("Error in config: InfoServ is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (is_host, s, sizeof (is_host));
	    else
		fatal ("Error in config: InfoServ is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (is_realname, s, sizeof (is_realname));
	    else
		fatal ("Error in config: InfoServ is not set properly.");
	}

	if (!stricmp (item, "GlobalNoticer"))
	{
	    globalnoticer_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_GlobalNoticer, s, sizeof (s_GlobalNoticer));
	    else
		fatal ("Error in config: GlobalNoticer is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (gn_user, s, sizeof (gn_user));
	    else
		fatal ("Error in config: GlobalNoticer is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (gn_host, s, sizeof (gn_host));
	    else
		fatal ("Error in config: GlobalNoticer is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (gn_realname, s, sizeof (gn_realname));
	    else
		fatal ("Error in config: GlobalNoticer is not set properly.");
	}

	if (!stricmp (item, "SpamChecker"))
	{
	    spamchecker_on = TRUE;

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (s_SpamChecker, s, sizeof (s_SpamChecker));
	    else
		fatal ("Error in config: SpamChecker is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (sc_user, s, sizeof (sc_user));
	    else
		fatal ("Error in config: SpamChecker is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (sc_host, s, sizeof (sc_host));
	    else
		fatal ("Error in config: SpamChecker is not set properly.");

	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (sc_realname, s, sizeof (sc_realname));
	    else
		fatal ("Error in config: SpamChecker is not set properly.");
	}

	if (!stricmp (item, "EnableCloneDetection"))
	    clones_on = TRUE;

	if (!stricmp (item, "EnableAutoKills"))
	    akill_on = TRUE;
  
	if (!stricmp (item, "Delays"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    /* 0 is a valid entry for these */
	    nreg_delay = atoi (s);

	    s = strtok (NULL, " ");
	    strip (s);
            
	    creg_delay = atoi (s);

	    s = strtok (NULL, " ");
	    strip (s);

	    memo_delay = atoi (s);
	}

	if (!stricmp (item, "NickExpire"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		nick_expire = atoi (s);
	    else
		fatal ("Error in config: NickExpire is not set properly.");
	}

	if (!stricmp (item, "CollideType"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (collide_type, s, sizeof (collide_type));
	    else
		fatal ("Error in config: CollideType is not set properly.");
	}

	if (!stricmp (item, "ReleaseTimeout"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		release_timeout = atoi (s);
	    else
		fatal ("Error in config: ReleaseTimeout is not set properly.");
	}

	if (!stricmp (item, "PassFailMax"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		passfail_max = atoi (s);
	    else
		fatal ("Error in config: PassFailMax is not set properly.");
	}

	if (!stricmp (item, "NeedEmail"))
	    needemail_on = TRUE;

	if (!stricmp (item, "NewNickInfo"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (newnick_info, s, sizeof (newnick_info));
	    else
		fatal ("Error in config: NewNickInfo is not set properly.");
	}

	if (!stricmp (item, "GuestedInfo"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (guested_info, s, sizeof (guested_info));
	    else
		fatal ("Error in config: GuestedInfo is not set properly.");
	}

	if (!stricmp (item, "ChannelExpire"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		channel_expire = atoi (s);
	    else
		fatal ("Error in config: ChannelExpire is not set properly.");
	}

	if (!stricmp (item, "AKickMax"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		akick_max = atoi (s);
	    else
		fatal ("Error in config: AKickMax is not set properly.");
	}

	if (!stricmp (item, "AKickReason"))
	{
	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (def_akick_reason, s, sizeof (def_akick_reason));
	    else
		fatal ("Error in config: AKickReason is not set properly.");
	}

	if (!stricmp (item, "ChannelStyle"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (management_style, s, sizeof (management_style));
	    else
		fatal ("Error in config: ChannelStyle is not set properly.");
	}

	if (!stricmp (item, "DefaultMLock"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    /* Some modelock sanity checks -- We don't want people locking
	       certain modes on or off, so we check for them and shut down
	       if they're locked on or off. We don't want r in mlock on
	       since we add it ourselves, and we don't want it in mlock off
	       since thats just bad :) We also check for parm modes (that
	       is, modes like +l which require a parameter) in the mlock
	       on. If they're running services with an unsupported IRCd
	       that has parm modes that aren't checked for below, they can
	       burn in hell :)
	     */
	    if (s)
	    {
		if (strchr (s, 'r')) /* We add this, we don't want two */
		    fatal ("Error in config: You cannot ModeLock +r!");
		if (strchr (s, 'l')) /* Can't lock parm modes on */
		    fatal ("Error in config: You cannot ModeLock +l!");
		if (strchr (s, 'k')) /* ditto */
		    fatal ("Error in config: You cannot ModeLock +k!");
#ifdef IRC_UNREAL /* Because they might not be parm modes on
		     other IRCds */
		if (strchr (s, 'L')) /* You get the idea */
		    fatal ("Error in config: You cannot ModeLock +L!");
		if (strchr (s, 'f')) /* Hi! */
		    fatal ("Error in config: You cannot ModeLock +f!");
#endif
		if (strchr (s, '+')) /* BAAAAD. */
		    fatal ("Error in config: Do not provide a + in DefaultMLock.");

		memcpy (default_mlock_on, s, sizeof (default_mlock_on));
	    }
	    else
		fatal ("Error in config: DefaultMLock is not set properly.");

	    s = strtok (NULL, " ");

	    if (s)
	    {
		strip (s);
		if (strchr (s, 'r')) /* No locking -r! */
		    fatal ("Error in config: You cannot ModeLock -r!");
		if (strchr (s, '-')) /* Equally bad */
		    fatal ("Error in config: Do not provide a - in DefaultMLock.");
		memcpy (default_mlock_off, s, sizeof (default_mlock_off));
	    }
	    /* We don't require Lock-Off modes, so not having this isn't
	       fatal.
	     */
	}

	if (!stricmp (item, "GlobalOnReg"))
	    globalonreg_on = TRUE;

	if (!stricmp (item, "AllowJoin"))
	    allowjoin_on = TRUE;

	if (!stricmp (item, "JoinByDefault"))
	    alwaysjoin_on = TRUE;

	if (!stricmp (item, "FounderInfo"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (founder_info, s, sizeof (founder_info));
	    else
		fatal ("Error in config: FounderInfo is not set properly.");
	}

	if (!stricmp (item, "MemoBoxLimit"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memobox_limit = atoi (s);
	    else
		fatal ("Error in config: MemoBoxLimit is not set properly.");
	}

	if (!stricmp (item, "ContactURL"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (contact_url, s, sizeof (contact_url));
	    else
		fatal ("Error in config: ContactURL is not set properly.");
	}

	if (!stricmp (item, "SRAs"))
	{
	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (services_admin, s, sizeof (services_admin));
	    else
		fatal ("Error in config: You need at least one SRA.");
	}

	if (!stricmp (item, "AKillExpire"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		akill_expire = atoi (s);
	    else
		fatal ("Error in config: AKillExpire is not set properly.");
	}

	if (!stricmp (item, "AllowedClones"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		clones_allowed = atoi (s);
	    else
		fatal ("Error in config: AllowedClones is not set properly.");
	}

	if (!stricmp (item, "KillClones"))
	    clone_kill_on = TRUE;

	if (!stricmp (item, "CloneReason"))
	{
	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (def_clone_reason, s, sizeof (def_clone_reason));
	    else
		fatal ("Error in config: CloneReason is not set properly.");
	}

	if (!stricmp (item, "StampLogons"))
	    stamplogons_on = TRUE;

	if (!stricmp (item, "FloodTrigger"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		flood_messages = atoi (s);
	    else
		fatal ("Error in config: FloodTrigger is not set properly.");

	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		flood_time = atoi (s);
	    else
		fatal ("Error in config: FloodTrigger is not set properly.");
	}

	if (!stricmp (item, "IgnoreTime"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		ignore_time = atoi (s);
	    else
		fatal ("Error in config: IgnoreTime is not set properly.");
	}

	if (!stricmp (item, "IgnoreOffences"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		ignore_offences = atoi (s);
	    else
		fatal ("Error in config: IgnoreOffences is not set properly.");
	}

	if (!stricmp (item, "StarThresh"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		starthresh = atoi (s);
	    else
		fatal ("Error in config: StarThresh is not set properly.");
	}

	if (!stricmp (item, "PingTime"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		ping_frequency = atoi (s);
	    else
		fatal ("Error in config: PingTime is not set properly.");
	}

	if (!stricmp (item, "TLD"))
	{
	    s = strtok (NULL, "");
	    strip (s);

	    if (s)
		memcpy (tld, s, sizeof (tld));
	    else
		fatal ("Error in config: TLD is not set properly.");
	}

	if (!stricmp (item, "ShowSync"))
	    show_sync_on = TRUE;

	if (!stricmp (item, "SnoopChan"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s && *s == '#')
		memcpy (snoop_chan, s, sizeof (snoop_chan));
	    else
		fatal ("Error in config: SnoopChan is not set properly.");
	}

	if (!stricmp (item, "NetworkName"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (network_name, s, sizeof (network_name));
	    else
		fatal ("Error in config: NetworkName is not set properly.");
	}

	if (!stricmp (item, "GlobalUpdate"))
	    global_update_on = TRUE;

	if (!stricmp (item, "MessageDefault"))
	    msgdefault_on = TRUE;

	if (!stricmp (item, "ServerRelink"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		server_relink = atoi (s);
	    else
		fatal ("Error in config: ServerRelink is not set properly.");
	}

	if (!stricmp (item, "SyncTime"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		update_timeout = atoi (s);
	    else
		fatal ("Error in config: SyncTime is not set properly.");
	}

	if (!stricmp (item, "SendMail"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (sendmail_path, s, sizeof (sendmail_path));
	    else
		fatal ("Error in config: SendMail is not set properly.");
	}

	if (!stricmp (item, "MemoMail"))
	    memomail_on = TRUE;

	if (!stricmp (item, "AbuseEmail"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (abuse_email, s, sizeof (abuse_email));
	    else
		fatal ("Error in config: AbuseEmail is not set properly.");
	}

	if (!stricmp (item, "NSEmail"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ns_email, s, sizeof (ns_email));
	    else
		fatal ("Error in config: NSEmail is not set properly.");
	}

	if (!stricmp (item, "CSEmail"))
	{
	    s = strtok (NULL, " ");
	    strip (s);
	    if (s)
		memcpy (cs_email, s, sizeof (cs_email));
	    else
		fatal ("Error in config: CSEmail is not set properly.");
	}

	if (!stricmp (item, "MSEmail"))
	{
	    s = strtok (NULL, " ");
	    strip (s);

	    if (s)
		memcpy (ms_email, s, sizeof (ms_email));
	    else
		fatal ("Error in config: MSEmail is not set properly.");
	}
    }
    fclose (f);
}

/* Sanity checks on the config options */
int check_conf (void)
{
    if (nickserv_on==FALSE)
    {
	chanserv_on=FALSE;
	memoserv_on=FALSE;
    }

    if (operserv_on==FALSE)
	fatal ("Error in config: OperServ cannot be disabled.");

    if (statserv_on==FALSE)
	spamchecker_on = FALSE;

    if (clones_allowed < 1)
	clones_on=FALSE;

    if (clones_on==TRUE && !strlen (def_clone_reason))
	fatal ("Error in config: CloneReason is not set properly.");

    if (starthresh < 1)
	fatal ("Error in config: StarThresh cannot be less than 1.");

    if (!strlen (server_name) || !strlen (server_desc))
	fatal ("Error in config: Info is not set properly.");

    if (!strlen (remote_server) || !strlen (password) ||
	!strlen (ruplink) || remote_port == 0)
	fatal ("Error in config: Connect is not set properly.");

    if (nickserv_on==TRUE && nick_expire == 0)
	fatal ("Error in config: Cannot set NickExpire less than 1.");

    if (chanserv_on==TRUE && channel_expire == 0)
	fatal ("Error in config: Cannot set ChannelExpire less than 1.");

    if (chanserv_on==TRUE && !strlen (def_akick_reason))
	fatal ("Error in config: AKickReason is not set properly.");

    if (chanserv_on==TRUE && akick_max == 0)
	fatal ("Error in config: Cannot set AKickMax less than 1.");

    if (nickserv_on==TRUE && stricmp (collide_type, "GUEST") &&
	stricmp (collide_type, "NICK") && stricmp (collide_type, "USER") &&
	stricmp (collide_type, "UNDERSCORE") &&
	stricmp (collide_type, "HYPHEN") && stricmp (collide_type, "KILL"))
	memcpy (collide_type, "Kill", sizeof (collide_type));

    if (nickserv_on==TRUE && release_timeout == 0)
	fatal ("Error in config: Cannot set ReleaseTimeout less than 1.");

    if (stricmp (management_style, "DALNET") &&
	stricmp (management_style, "ACCESS") &&
	stricmp (management_style, "BOTH"))
	fatal ("Error in config: ChannelStyle is not set properly.");

    if (update_timeout < 30)
	fatal ("Error in config: Cannot set SyncTime less than 30.");

    if (memoserv_on==TRUE && memobox_limit < 5)
	fatal ("Error in config: Cannot set MemoBoxLimit less than 5.");

    if (memoserv_on==TRUE && memobox_limit > 500)
	fatal ("Error in config: Cannot set MemoBoxLimit more than 500.");

    if (passfail_max < 1)
	fatal ("Error in config: PassFailMax cannot be less than 1.");

    if (flood_messages > LASTMSGMAX)
	fatal ("Error in config: Cannot set FloodTrigger messages greater than %d.", LASTMSGMAX);

    if (flood_time < 5)
	fatal ("Error in config: Cannot set FloodTrigger time less than 5 seconds.");

    if (ignore_time < 5)
	fatal ("Error in config: Cannot set IgnoreTime less than 5 seconds.");

    if (ignore_offences < 1)
	fatal ("Error in config: Cannot set IgnoreOffences less than 1 second.");

    if (!akill_expire)
	fatal ("Error in config: AKillExpire is not set properly.");

    if (ping_frequency < 10)
	fatal ("Error in config: PingTime cannot be less than 10 seconds.");

    if (!strlen (tld))
	fatal ("Error in config: TLD is not set properly.");

    if (!strlen (network_name))
	fatal ("Error in config: NetworkName is not set properly.");

    if (update_timeout < 60)
	printf ("Warning: Setting SyncTime less than 5 minutes is unwise!\n");

    /* The check in load_conf for this will fail if theres a space. */
    if (!strlen (services_admin))
	fatal ("Error in config: You need at least one SRA.");
}
