/* ChanServ help texts.
  
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
 */

static const char *cs_help_start[] =
{
    "*** \2" cs " Help\2 ***",
    " ",
    NULL
};
    
static const char *cs_help_end[] =
{
    " ",
    "*** \2End of Help\2 ***",
    NULL
};
    
static const char *cs_ohelp_start[] =
{ 
    "*** \2" cs " OperHelp\2 ***",
    " ",
    NULL
};

static const char *cs_ohelp_end[] =
{ 
    " ",
    "*** \2End of OperHelp\2 ***",   
    NULL
};

static const char *cs_help[] =
{
    "\2" cs "\2 allows you to \2REGISTER\2 a channel. Having",
    "a registered channel gives you more control over your channel",
    "and virtually eliminates the need for a channel bot.",
    " ",
    "For more information on a specific topic, type \2/MSG " cs " HELP Topic\2",
    "\2" cs "\2 contains information on the following topics:",
    " ",
    "\2REGISTER\2        Registers a channel with \2" cs "\2",
    "\2DROP\2            Unregister a channel",
    "\2IDENTIFY\2        Identify to \2" cs "\2 as the owner of a channel",
    "\2SET\2             Modify various channel settings",
    "\2INFO\2            Show information on a registered channel",
    "\2GREET\2           Modify a channel's greet list",
    NULL
};

static const char *cs_help_access[] =
{
    "\2ACCESS\2          Modify a channel's access list",
    NULL
};

static const char *cs_help_dalnet[] =
{
    "\2DOP\2             Modify a channel's AutoDeop list",
    "\2VOP\2             Modify a channel's VoiceOp list",
#ifdef IRC_UNREAL
    "\2HOP\2             Modify a channel's HalfOp list",
#endif
    "\2AOP\2             Modify a channel's AutoOp list",
    "\2SOP\2             Modify a channel's SuperOp list",
    NULL
};

static const char *cs_help_other[] =
{
    " ",
    "Other commands: \2AKICK, LEVELS, USERS, INVITE, CLEAR, WHY, OP, DEOP,\2",
    "                \2VOICE, DEVOICE, STATUS, UNBAN, COUNT\2",
    NULL
};

#ifdef IRC_UNREAL
static const char *cs_help_other_unreal[] =
{
    " ",
    "Other commands: \2AKICK, LEVELS, USERS, INVITE, CLEAR, WHY, OP, DEOP,\2",
    "                \2HALFOP, DEHALFOP, VOICE, DEVOICE, STATUS, UNBAN, COUNT\2",
    NULL
};
#endif

static const char *register_help[] =
{
    "Syntax: \2REGISTER Channel Password Description\2",
    " ",
    "\2REGISTER\2s the given channel with \2" cs "\2.",
    "To \2REGISTER\2 a channel, you must be in it and opped,",
    "as well as have your nickname \2REGISTER\2ed with \2" ns "\2.",
    " ",
    "Any passwords less than 5 characters in length, any case of the",
    "word 'password' or 'mypassword', your own nickname, or the channel's",
    "name will be denied.",
    " ",
    "Example: \2REGISTER #Channel MyPasSwORd A Chat Channel\2",
    NULL
};

static const char *identify_help[] =
{
    "Syntax: \2IDENTIFY Channel Password\2",
    " ",
    "Tells \2" cs "\2 that you are the owner of the given channel.",
    " ",
    "Example: \2IDENTIFY #Channel MyPasSwORd\2",
    NULL
};

static const char *drop_help[] =
{
    "Syntax: \2DROP Channel\2",
    " ",
    "Un\2REGISTER\2s the given channel. Once a channel is unregistered,",
    "anyone who wishes to may register it. You must \2IDENTIFY\2 in",
    "order to use the \2DROP\2 command.",
    " ",
    "Example: \2DROP #Channel\2",
    NULL
};

static const char *set_help[] =
{
    "Syntax: \2SET Channel Option Parameters\2",
    " ",
    "\2FOUNDER\2         Change the channel founder",
    "\2PASS\2            Change the password for a channel",
    "\2DESC\2            Change the channel's description",
    "\2URL\2             Set/change the URL for a channel",
    "\2CASE\2            Change the case of a channel's name",
    "\2TOPIC\2           Change the channel's topic",
    "\2MLOCK\2           Change the channel's modelock",
    "\2KEEPTOPIC\2       Retain the topic when the channel is empty",
    "\2TOPICLOCK\2       Modify the channel's TOPICLOCK option",
    "\2PRIVATE\2         Change the PRIVATE option",
    "\2SECUREOPS\2       Make \2" cs "\2 strict about who can be opped",
    "\2RESTRICTED\2      Only allow people in the channels access lists to join",
    "\2SECURE\2          Activate various security features",
    "\2VERBOSE\2         Notice channel ops when certain commands are used",
    "\2VOPALL\2          Automatically voice everyone who joins",
    NULL
};

static const char *join_set_help[] =
{
    "\2JOIN\2            Modify the channel's JOIN option",
    NULL
};

static const char *info_help[] =
{
    "Syntax: \2INFO Channel\2",
    " ",
    "Shows information on a registered channel such as it's date of",
    "registration, URL, mode lock, description, and various other",
    "information.",
    " ",
    "Example: \2INFO #Channel\2",
    NULL
};

static const char *access_help[] =
{
    "Syntax: \2ACCESS Channel LIST\2",
    " ",
    "Shows the ACCESS list for the given channel.",
    " ",
    "Examples: \2ACCESS #Channel LIST\2",
    NULL
};

static const char *dop_help[] =
{
    "Syntax: \2DOP Channel ADD|DEL|LIST [Nick]\2",
    " ",
    "Modifies the \2DOP\2 list for the given channel. If someone",
    "is on the \2DOP\2 list, they will not be allowed any access",
    "in the channel. In order to \2ADD\2 a nickname to the \2DOP\2 list,",
    "it must first be \2REGISTER\2ed with \2" ns "\2.",
    " ",
    "\2ADD\2             Add a nickname to the \2DOP\2 list",
    "\2DEL\2             Remove a nickname from the \2DOP\2 list",
    "\2LIST\2            Display the \2DOP\2 list",
    " ",
    "Examples: \2DOP #Channel ADD User\2",
    "          \2DOP #Channel DEL User\2",
    "          \2DOP #Channel LIST User\2",
    "          \2DOP #Channel LIST\2",
    NULL
};

static const char *vop_help[] =
{
    "Syntax: \2VOP Channel ADD|DEL|LIST [Nick]\2",
    " ",
    "Modifies the \2VOP\2 list for the given channel. If someone",
    "is on the \2VOP\2 list, they will be voiced (+v) on join.",
    "In order to \2ADD\2 a nickname to the \2VOP\2 list, it must",
    "first be \2REGISTER\2ed with \2" ns "\2.",
    " ",
    "\2ADD\2             Add a nickname to the \2VOP\2 list",
    "\2DEL\2             Remove a nickname from the \2VOP\2 list",
    "\2LIST\2            Display the \2VOP\2 list",
    " ",
    "Examples: \2VOP #Channel ADD User\2",
    "          \2VOP #Channel DEL User\2",
    "          \2VOP #Channel LIST User\2",
    "          \2VOP #Channel LIST\2",
    NULL
};

#ifdef IRC_UNREAL
static const char *hop_help[] =
{
    "Syntax: \2HOP Channel ADD|DEL|LIST [Nick]\2",
    " ",
    "Modifies the \2HOP\2 list for the given channel. If someone",
    "is on the \2HOP\2 list, they will be halfopped (+h) on join.",
    "In order to \2ADD\2 a nickname to the \2HOP\2 list, it must",
    "first be \2REGISTER\2ed with \2" ns "\2.",
    " ",
    "\2ADD\2             Add a nickname to the \2HOP\2 list",
    "\2DEL\2             Remove a nickname from the \2HOP\2 list",
    "\2LIST\2            Display the \2HOP\2 list",
    " ",
    "Examples: \2HOP #Channel ADD User\2",
    "          \2HOP #Channel DEL User\2",
    "          \2HOP #Channel LIST User\2",
    "          \2HOP #Channel LIST\2",
    NULL
};
#endif

static const char *aop_help[] =
{
    "Syntax: \2AOP Channel ADD|DEL|LIST [Nick]\2",
    " ",
    "Modifies the \2AOP\2 list for the given channel. If someone",
    "is on the \2AOP\2 list, they will be opped (+o) on join",
    "In order to \2ADD\2 a nickname to the \2AOP\2 list, it must",
    "first be \2REGISTER\2ed with \2" ns "\2.",
    " ",
    "\2ADD\2             Add a nickname to the \2AOP\2 list",
    "\2DEL\2             Remove a nickname from the \2AOP\2 list",
    "\2LIST\2            Display the \2AOP\2 list",
    " ",
    "Examples: \2AOP #Channel ADD User\2",   
    "          \2AOP #Channel DEL User\2",
    "          \2AOP #Channel LIST User\2",  
    "          \2AOP #Channel LIST\2",
    NULL
};

static const char *sop_help[] =
{
    "Syntax: \2SOP Channel ADD|DEL|LIST [Nick]\2",
    " ",
    "Modifies the \2SOP\2 list for the given channel. If someone",
    "is on the \2SOP\2 list, they will be opped (+o) on join, and",
    "have access to various commands above that of \2AOP\2s.",
    "In order to \2ADD\2 a nickname to the \2SOP\2 list, it must",
    "first be \2REGISTER\2ed with \2" ns "\2.",
    " ",
    "\2ADD\2             Add a nickname to the \2SOP\2 list",
    "\2DEL\2             Remove a nickname from the \2SOP\2 list",
    "\2LIST\2            Display the \2SOP\2 list",
    " ",
    "Examples: \2SOP #Channel ADD User\2",   
    "          \2SOP #Channel DEL User\2",
    "          \2SOP #Channel LIST User\2",  
    "          \2SOP #Channel LIST\2",
    NULL
};

static const char *status_help[] =
{
    "Syntax: \2STATUS Channel\2",
    " ",
    "Shows you your current access to the given channel.",
    " ",
    "Example: \2STATUS #Channel\2",
    NULL
};

static const char *why_help[] =
{
    "Syntax: \2WHY Channel Nick\2",
    " ",
    "Tells you why someone has ops in the given channel.",
    " ",
    "Example: \2WHY #Channel User\2",
    NULL
};

static const char *count_help[] =
{
    "Syntax: \2COUNT Channel\2",
    " ",
    "Gives you totals for the number of VOPs, AOPs and SOPs on a channel.",
    " ",
    "Example: \2COUNT #Channel\2",
    NULL
};

static const char *akick_help[] =
{
    "Syntax: \2AKICK Channel ADD|DEL|LIST [Nick|Mask] [Reason]\2",
    " ",
    "Modifies or lists the \2AKICK\2 list for the given channel. If a",
    "user on a channel's \2AKICK\2 list joins the channel, they",
    "are kicked and banned by \2" cs "\2. If a reason is given",
    "for the \2AKICK\2, it is used as the kick message.",
    " ",
    "Examples: \2AKICK #Channel ADD User You aren't welcome here.\2",
    "          \2AKICK #Channel ADD *@*.lameisp.com Ban evasion\2",
    "          \2AKICK #Channel DEL User\2",
    "          \2AKICK #Channel DEL 1\2",
    "          \2AKICK #Channel DEL *@*.lameisp.com\2",
    "          \2AKICK #Channel LIST\2",
    NULL
};

static const char *levels_help[] =
{
    "Syntax: \2LEVELS\2",
    " ",
    "Lists the various access levels. These levels show what happens on",
    "a given access level. These levels are mainly used in the ACCESS list.",
    " ",
    "Example: \2LEVELS\2",
    NULL
};

static const char *users_help[] =
{
    "Syntax: \2USERS Channel\2",
    " ",
    "Shows the current users on the given channel.",
    " ",
    "Example: \2USERS #Channel\2",
    NULL
};

static const char *invite_help[] =
{
    "Syntax: \2INVITE Channel [User]\2",
    " ",
    "Makes \2" cs "\2 invite you or the given user to the given",
    "channel. You must have level 5 or \2VOP\2 access to use",
    "this command.",
    " ",
    "Examples: \2INVITE #Channel\2",
    "          \2INVITE #Channel User\2",
    NULL
};

static const char *clear_help[] =
{
    "Syntax: \2CLEAR Channel Item\2",
    " ",
    "Clears various options from the given channel, such",
    "as bans, ops, modes, etc.",
    " ",
    "\2BANS\2            Clears the channel's ban list",
    "\2VOICES\2          DeVoices everyone in the channel",
#ifdef IRC_UNREAL
    "\2HALFOPS\2         DeHalfOps everyone in the channel",
#endif
    "\2OPS\2             DeOps everyone in the channel",
    "\2USERS\2           Kicks everyone from the channel",
    " ",
    "Examples: \2CLEAR #Channel BANS\2",
    "          \2CLEAR #Channel VOICES\2",
#ifdef IRC_UNREAL
    "          \2CLEAR #Channel HALFOPS\2",
#endif
    "          \2CLEAR #Channel OPS\2",
    "          \2CLEAR #Channel USERS\2",
    NULL
};

static const char *unban_help[] =
{
    "Syntax: \2UNBAN Channel [User|ME|ALL]\2",
    " ",
    "Makes \2" cs "\2 unban you or the given nick from the given",
    "channel. You must have level 5 or \2VOP\2 access to use",
    "this command. If \2ALL\2, " cs " will remove all bans from the",
    "channel."
    " ",
    "Examples: \2UNBAN #Channel\2",
    "          \2UNBAN #Channel User\2",
    "          \2UNBAN #Channel ME\2",
    "          \2UNBAN #Channel ALL\2",
    NULL
};

static const char *op_help[] =
{
    "Syntax: \2OP Channel [User]\2",
    " ",
    "Makes \2" cs "\2 op you or the given nick on the given",
    "channel. You must have level 15 or \2AOP\2 access to use",
    "this command.",
    " ",
    "Examples: \2OP #Channel\2",
    "          \2OP #Channel User\2",
    NULL
};

static const char *deop_help[] =
{
    "Syntax: \2DEOP Channel [User]\2",
    " ",
    "Makes \2" cs "\2 deop you or the given nick on the given",
    "channel. You must have level 15 or \2AOP\2 access to use",
    "this command.",
    " ",
    "Examples: \2DEOP #Channel\2",
    "          \2DEOP #Channel User\2",
    NULL
};

#ifdef IRC_UNREAL
static const char *halfop_help[] =
{ 
    "Syntax: \2HALFOP Channel [User]\2",
    " ",
    "Makes \2" cs "\2 halfopop you or the given nick on the given",
    "channel. You must have level 10 or \2HOP\2 access to use",
    "this command.",
    " ",
    "Examples: \2HALFOP #Channel\2",
    "          \2HALFOP #Channel User\2",
    NULL
};

static const char *dehalfop_help[] =
{
    "Syntax: \2DEHALFOP Channel [User]\2",
    " ",
    "Makes \2" cs "\2 dehalfop you or the given nick on the given",
    "channel. You must have level 10 or \2HOP\2 access to use",
    "this command.",
    " ",
    "Examples: \2DEHALFOP #Channel\2",
    "          \2DEHALFOP #Channel User\2",
    NULL
};
#endif

static const char *voice_help[] =
{
    "Syntax: \2VOICE Channel [User]\2",
    " ",
    "Makes \2" cs "\2 voice you or the given nick on the given",
    "channel. You must have level 5 or \2VOP\2 access to use",
    "this command.",
    " ",
    "Examples: \2VOICE #Channel\2",
    "          \2VOICE #Channel User\2",
    NULL
};

static const char *devoice_help[] =
{
    "Syntax: \2DEVOICE Channel [User]\2",
    " ",
    "Makes \2" cs "\2 devoice you or the given nick on the given",
    "channel. You must have level 5 or \2VOP\2 access to use",
    "this command.",
    " ",
    "Examples: \2DEVOICE #Channel\2",
    "          \2DEVOICE #Channel User\2",
    NULL
};

static const char *set_founder_help[] =
{
    "Syntax: \2SET Channel FOUNDER\2",
    " ",
    "Changes ownership of the given channel to your nick.",
    "In order to take over ownership of a channel, you must",
    "identify to it first. If you want to give someone else",
    "ownership of the channel, give them the password, have",
    "them identify to the channel, and use this command.",
    " ",
    "Example: \2SET #Channel FOUNDER\2",
    NULL
};

static const char *set_desc_help[] =
{
    "Syntax: \2SET Channel DESC New Description\2",
    " ",
    "Changes the given channel's description.",
    " ",
    "Example: \2SET #Channel DESC Another Chat Channel\2",
    NULL
};

static const char *set_topic_help[] =
{
    "Syntax: \2SET Channel TOPIC New Topic\2",
    " ",
    "Changes the topic on the given channel.",
    " ",
    "Example: \2SET #Channel TOPIC Welcome to #Channel\2",
    NULL
};

static const char *set_mlock_help[] =
{
    "Syntax: \2SET Channel MLOCK New Modelock\2",
    " ",
    "Changes the given channel's modelock setting.",
    " ",
    "Example: \2SET #Channel MLOCK +tn\2", 
    NULL
};

static const char *set_keeptopic_help[] =
{
    "Syntax: \2SET Channel KEEPTOPIC ON|OFF\2",
    " ",
    "Modifies the given channel's \2KEEPTOPIC\2 setting.",
    " ",
    "If \2KEEPTOPIC\2 is \2ON\2, \2" cs "\2 will remember the",
    "channel's topic when the channel is empty and re-set it",
    "when someone joins the channel.",
    " ",
    "If \2KEEPTOPIC\2 is \2OFF\2, \2" cs "\2 will not remember",
    "the channel's topic, and it will be lost if the channel",
    "becomes empty.",
    " ",
    "Examples: \2SET #Channel KEEPTOPIC ON\2",
    "          \2SET #Channel KEEPTOPIC OFF\2",
    NULL
};

static const char *set_topiclock_help[] =
{
    "Syntax: \2SET Channel TOPICLOCK ON|OFF\2",
    " ",
    "Modifies the given channel's \2TOPICLOCK\2 setting.",
    " ",
    "If \2TOPICLOCK\2 is \2ON\2, the topic can only be changed",
    "with the \2SET TOPIC\2 command.",
    " ",
    "If \2TOPICLOCK\2 is \2OFF\2, the topic can be freely changed.",
    " ",
    "Examples: \2SET #Channel TOPICLOCK ON\2",
    "          \2SET #Channel TOPICLOCK OFF\2",
    NULL
};

static const char *set_private_help[] =
{
    "Syntax: \2SET Channel PRIVATE ON|OFF\2",
    " ",
    "Modifies the given channel's \2PRIVATE\2 setting.",
    " ",
    "If \2PRIVATE\2 is \2ON\2, the channel will not show up",
    "in \2" cs "\2.",
    " ",
    "If \2PRIVATE\2 is \2OFF\2, the channel will be seen normally.",
    " ",
    "Examples: \2SET #Channel PRIVATE ON\2",
    "          \2SET #Channel PRIVATE OFF\2",
    NULL
};

static const char *set_secureops_help[] =
{
    "Syntax: \2SET Channel SECUREOPS ON|OFF\2",
    " ",
    "Modifies the given channel's \2SECUREOPS\2 setting.",
    " ",
    "If \2SECUREOPS\2 is \2ON\2, \2" cs "\2 will deop or",
    "devoice anyone who is not in the channel's access lists.",
    " ",
    "Examples: \2SET #Channel SECUREOPS ON\2",
    "          \2SET #Channel SECUREOPS OFF\2",
    NULL
};

static const char *set_verbose_help[] =
{
    "Syntax: \2SET Channel VERBOSE ON|OFF\2",
    " ",
    "Modifies the given channel's \2VERBOSE\2 setting.",
    " ",
    "If \2VERBOSE\2 is \2ON\2, \2" cs "\2 will notice the",
    "channel's ops when someone is added to or removed from the",
    "akick and access lists, or when the \2INVITE\2 and \2UNBAN\2",
    "commands are used.",
    " ",
    "Examples: \2SET #Channel VERBOSE ON\2",
    "          \2SET #Channel VERBOSE OFF\2",
    NULL
};

static const char *set_vopall_help[] =
{
    "Syntax: \2SET Channel VOPALL ON|OFF\2",
    " ",
    "Modifies the given channel's \2VOPALL\2 setting.",
    " ",
    "If \2VOPALL\2 is \2ON\2, \2" cs "\2 will automatically",
    "voice anyone who joins the channel and is not on",
    "the access list.",
    " ",
    "Examples: \2SET #Channel VOPALL ON\2",
    "          \2SET #Channel VOPALL OFF\2",
    NULL
};

static const char *set_restricted_help[] =
{
    "Syntax: \2SET Channel RESTRICTED ON|OFF\2",
    " ",
    "Modifies the given channel's \2RESTRICTED\2 setting.",
    " ",
    "If \2RESTRICTED\2 is \2ON\2, \2" cs "\2 will kick and ban",
    "anyone with a negative access level. If \2SECUREOPS\2 is on,",
    "anyone not in the channels access list will be kicked and banned.",
    " ",
    "Examples: \2SET #Channel RESTRICTED ON\2",
    "          \2SET #Channel RESTRICTED OFF\2",
    NULL
};

static const char *set_secure_help[] =
{
    "Syntax: \2SET Channel SECURE ON|OFF\2",
    " ",
    "Modifies the given channel's \2SECURE\2 setting.",
    " ",
    "If \2SECURE\2 is \2ON\2, users must \2IDENTIFY\2 to",
    "\2" ns "\2 in order to gain ops.",
    " ",
    "Examples: \2SET #Channel SECURE ON\2",
    "          \2SET #Channel SECURE OFF\2",
    NULL
};

static const char *set_join_help[] =
{
    "Syntax: \2SET Channel JOIN ON|OFF\2",
    " ",
    "Modifies the given channel's \2JOIN\2 setting.",
    " ",
    "If \2JOIN\2 is \2ON\2, \2" cs "\2 will join the given",
    "channel and op itself.",
    " ",
    "Examples: \2SET #Channel JOIN ON\2",
    "          \2SET #Channel JOIN OFF\2",
    NULL
};

static const char *set_url_help[] =
{
    "Syntax: \2SET Channel URL URL|None\2",
    " ",
    "Modifies the given channel's \2URL\2 setting.",
    " ",
    "If a \2URL\2 is set, it will be shown in the channel's",
    "\2INFO\2 reply, and sent to users when they join the channel.",
    " ",
    "Examples: \2SET #Channel URL http://www.channel.net\2",
    "          \2SET #Channel URL None\2",
    NULL
};

static const char *set_case_help[] =
{
    "Syntax: \2SET Channel CASE NewCase\2",
    " ",
    "Changes the case of your channel's name to the new case specified.",
    "Useful if your channel is registered in all caps and you wish",
    "to change it.",
    " ",
    "Example: \2SET #Channel CASE NeWcAse\2",
    NULL
};

static const char *set_pass_help[] =
{
    "Syntax: \2SET Channel PASS NewPassword\2",
    " ",
    "Changes the founder password for the given channel.",
    " ",
    "Any passwords less than 5 characters in length, any case of the",
    "word 'password' or 'mypassword', your own nickname, or the channel's",
    "name will be denied.",   
    " ",
    "Example: \2SET #Channel PASS mYPaSsWoRd\2",
    NULL
};

static const char *getpass_help[] =
{
    "Syntax: \2GETPASS Channel\2",
    " ",
    "Returns the password for the given channel. Note that",
    "whenever this command is used, a message including the",
    "person who issued the command and the channel it was used",
    "on will be logged and sent out as a GLOBOPS.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *setpass_help[] =
{
    "Syntax: \2SETPASS Channel NewPassword\2",
    " ",
    "Changes the password for the given channel to the password",
    "provided. When this command is used, a message including the",
    "person who issued the command and the channel it was used on",
    "will be logged and sent out via GLOBOPS.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *sendpass_help[] =
{
    "Syntax: \2SENDPASS Channel\2",
    " ",
    "E-Mails the password for the given nickname to the E-Mail",
    "the channel founder has stored in " ns ". When this command",
    "is used, it will be logged and a global notice sent.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *oper_drop_help[] =
{ 
    "Syntax: \2DROP Channel\2",
    " ",
    "Unregisters the named channel.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};
    
static const char *hold_help[] =
{
    "Syntax: \2HOLD Channel\2",
    " ",
    "Stops the given channel from expiring.",
    " ",
    "Level required: \2SRA or higher\2.",
    NULL
};

static const char *unhold_help[] =
{
    "Syntax: \2UNHOLD Channel\2",
    " ",
    "Undoes a hold command.",
    " ",
    "Level required: \2SRA or higher\2.",
    NULL
};

static const char *mark_help[] =
{
    "Syntax: \2MARK Channel\2",   
    " ",
    "Stops GETPASS, SETPASS and SENDPASS from all but SRAs.",
    " ",
    "Level required: \2SRA or higher\2.",
    NULL
};

static const char *unmark_help[] =
{
    "Syntax: \2UNMARK Channel\2",   
    " ",
    "Undoes a MARK.",
    " ",
    "Level required: \2SRA or higher\2.",
    NULL
};

static const char *forbid_help[] =
{
    "Syntax: \2FORBID Channel\2",
    " ",
    "Disallows anyone from registering or using the given",
    "channel. May be cancelled by dropping the channel.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *suspend_help[] =
{
    "Syntax: \2SUSPEND Channel Reason\2",
    " ",
    "Causes a channel to be unusable temporarily. The channel's",
    "information will still be stored, so the channel can be",
    "unsuspended and used as it was before. This is different",
    "from FORBID which drops the channel and re-registers it as",
    "a forbidden channel. Any non opered clients will be kicked",
    "and banned upon joining.",
    " ",
    "Level required: \2CSOp\2.",
    NULL
};

static const char *unsuspend_help[] =
{
    "Syntax: \2UNSUSPEND Channel\2",
    " ",
    "This reverses the SUSPEND command, giving back full control",
    "to the previous founder/access list. Everything previously",
    "imposed by SUSPEND will be reversed. One drawback however",
    "is that TOPICLOCK will be set OFF and KEEPTOPIC on."
    " ",
    "Level required: \2CSOp\2.",
    NULL
};

static const char *cs_sop_help[] =
{
    "\2DROP\2            De-registers a channel",
    "\2GETPASS\2         Gets the founder password of a channel",
    "\2SETPASS\2         Sets the founder password of a channel",
    "\2FORBID\2          Stops usage of a channel",
    "\2SUSPEND\2         Immobilize a channel",
    "\2UNSUSPEND\2       Undo a suspension",
    NULL
};

static const char *cs_sendpass_help[] =
{
    "\2SENDPASS\2        E-Mails a nick's password to the set E-Mail",
    NULL
};

static const char *cs_admin_help[] =
{
    "\2HOLD\2            Stops a channel from expiring",
    "\2UNHOLD\2          Undoes a HOLD",
    "\2MARK\2            Stops GETPASS, SETPASS and SENDPASS on a channel",
    "\2UNMARK\2          Undoes a MARK",
    NULL
};
