/* Header for databases.
  
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
 */

/* struct		ver
   ------------------------
   nickinfo_v5		5
   nickinfo_		6-
   chanaccessV5		1
   chanaccess_		6-
   autokick_		1
   chaninfo_		5-
   memo_		1-
   memolist_		1-
   message_		1-
   akill_		2-
   allow_		1-
 */
 
struct nickinfo_v5 {
    NickInfo_V5 *next, *prev;
    char nick[NICKMAX];
    char pass[PASSMAX];
    char *email;
    char *url;
    char *last_usermask;
    char *last_realname;
    time_t time_registered;
    time_t last_seen;
    long accesscount;
    char **access;
    long ignorecount;
    char **ignore;
    long flags;
    long reserved[4];
};

struct nickinfo_ {   
    NickInfo *next, *prev;
    char nick[NICKMAX];
    char pass[PASSMAX];
    char *email;
    char *url;
    char *last_usermask;
    char *last_realname;
    time_t time_registered;               
    time_t last_seen;
    long accesscount;                     
    char **access;
    long ignorecount;                  
    char **ignore;
    long flags;
    long reserved[4];
    time_t last_signon;
/* Info Fields */
    long uin;
    char *info;
    char *sex;
    char *age;
    char *dob;
    char *loc; /* Location */
    /* User Comment */
    long comline;
    char **comment;
    /* User Note */
    long noteline;
    char **note;
};

struct chanaccessV5_ {
    short level;
    short is_nick;
    char *name;
};

struct chanaccess_ {
    short level;
    short is_nick;
    char *name;
    char *addinfo;
};

struct autokick_ {
    short is_nick;
    short pad;
    char *name;
    char *reason;
};

struct chaninfo_ {
    ChannelInfo *next, *prev;
    char name[CHANMAX];
    char founder[NICKMAX];
    char founderpass[PASSMAX];
    char *desc;
    char *url;
    time_t time_registered;
    time_t last_used;
    long accesscount;
    ChanAccess *access;
    long akickcount;
    AutoKick *akick;
    long greetcount;
    char **greet;
    char mlock_on[64], mlock_off[64];
    long mlock_limit;
    char *mlock_key;
    char *last_topic;
    char last_topic_setter[NICKMAX];
    time_t last_topic_time;
    long flags;
    short *cmd_access;
    long reserved[3];
};

struct memo_ {
    char sender[NICKMAX];
    long number;
    time_t time;
    char *text;
    long flags;
    long reserved[4];
};

struct memolist_ {
    MemoList *next, *prev;
    char nick[NICKMAX];
    long n_memos;
    Memo *memos;
    long reserved[4];
};

struct message_ {
    char *text;
    short type;
    char who[NICKMAX];
    time_t time;
};

struct akill_ {
    char *mask;
    char *reason;
    char who[NICKMAX];
    time_t time;
};

struct allow_ {
    char *host;
    int amount;
    char *reason;
    char who[NICKMAX];
    time_t time;
};

struct sop_ {
    char nick[NICKMAX];
};
