/* Prototypes and external variable declarations.
 
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
 */

#ifndef EXTERN_H
#define EXTERN_H

#define E extern				/* Lazy shortcut */

/* channels.c */
E Channel *chanlist;
E int chanstat;
E void get_channel_stats (long *nrec, long *memuse);
E void send_channel_users (const char *who, const char *user, const char *chan);
E Channel *findchan (const char *chan);
E void chan_adduser (User *user, const char *chan);
E void chan_deluser (User *user, Channel *c);
E void do_cmode (const char *source, int ac, char **av);
E void do_topic (const char *source, int ac, char **av);
E int validchan (char *chan);
E int get_bantype (const char *mask);
E void change_cmode (const char *who, const char *chan, const char *mode, const char *pram);
E void kick_user (const char *who, const char *chan, const char *nick, const char *reason);

/* chanserv.c */
E ChannelInfo *chanlists[256];
E int channel_expire;
E int akick_max;
E char cs_email[128];
E char founder_info[256];
E void get_chanserv_stats (long *nrec, long *memuse);
E int is_identified (User * user, ChannelInfo * ci);
E int get_access (User *user, ChannelInfo *ci);
E int check_access (User *user, ChannelInfo *ci, int what);
E int get_justaccess (const char *mask, ChannelInfo *ci);
E int check_justaccess (const char *mask, ChannelInfo *ci, int what);
E int is_founder (User *user, NickInfo *ni, ChannelInfo *ci);
E int is_justfounder (NickInfo *ni, ChannelInfo *ci);
E void chanserv (const char *source, char *buf);
E void load_cs_dbase (void);
E void save_cs_dbase (void);
E void check_modes (const char *chan);
E int delchan (ChannelInfo *ci);
E int check_valid_op (User *user, const char *chan, int newchan);
E int check_valid_voice (User *user, const char *chan, int newchan);
E int check_should_op (User *user, const char *chan);
E int check_kick (User *user, const char *chan);
E void check_sendcsurl (const char *chan, const char *source);
E void do_cs_protect (const char *chan);
E void do_cs_unprotect (const char *chan);
E void do_cs_join (const char *chan);
E void do_cs_part (const char *chan);
E void do_cs_reop (const char *chan);
E void record_topic (const char *chan);
E void restore_topic (const char *chan);
E int check_topiclock (const char *chan);
E void expire_chans (void);
E ChannelInfo *cs_findchan (const char *chan);
E void check_inhabits (void);
E void do_doop(const char *source);
/* infoserv.c */
E void infoserv (const char *source, char *buf);
E void do_glist(const char *source);

/* conf.c */
E char remote_server[63], server_name[63], server_desc[50], ruplink[63];
E char guest_prefix[32], ms_email[128], ns_email[128], cs_email[128];
E char network_name[64], sendmail_path[256], abuse_email[128], tld[64];
E char newnick_info[256], guested_info[256], contact_url[256], password[32];
E char collide_type[16], services_admin[BUFSIZE], snoop_chan[32];
E char default_mlock_on[32], default_mlock_off[32], management_style[16];
E char def_akick_reason[100], def_clone_reason[100], bindhost[63];
E int remote_port, update_timeout, servsock, server_relink, bindport;
E int starthresh, ping_frequency, release_timeout, passfail_max, nick_expire;
E Boolean_T nickserv_on, chanserv_on, infoserv_on, memoserv_on, statserv_on;
E Boolean_T operserv_on, akill_on, clones_on, globalnoticer_on, show_sync_on;
E Boolean_T global_update_on, memomail_on, allowjoin_on, clone_kill_on;
E Boolean_T alwaysjoin_on, needemail_on, stamplogons_on, spamchecker_on;
E Boolean_T globalonreg_on, msgdefault_on;
E char s_NickServ[NICKMAX], ns_user[10], ns_host[63], ns_realname[50];
E char s_ChanServ[NICKMAX], cs_user[10], cs_host[63], cs_realname[50];
E char s_MemoServ[NICKMAX], ms_user[10], ms_host[63], ms_realname[50];
E char s_OperServ[NICKMAX], os_user[10], os_host[63], os_realname[50];
E char s_StatServ[NICKMAX], ss_user[10], ss_host[63], ss_realname[50];
E char s_InfoServ[NICKMAX], is_user[10], is_host[63], is_realname[50];
E char s_GlobalNoticer[NICKMAX], gn_user[10], gn_host[63], gn_realname[50];
E char s_SpamChecker[NICKMAX], sc_user[10], sc_host[63], sc_realname[50];
E int memobox_limit, memo_delay, creg_delay, nreg_delay;

/* main.c */
E time_t start_time, reset_time, last_update;
E char services_dir[512], *quitmsg, inbuf[BUFSIZE];
E int reload;
E long runflags;
E gid_t file_gid;
E void open_log();
E void close_log();
E void log (const char *fmt,...);
E void debug (const char *fmt,...);
E void log_perror (const char *fmt,...);
E void fatal (const char *fmt,...);
E void fatal_perror (const char *fmt,...);
E void check_file_version (FILE *f, const char *filename);
E void write_file_version (FILE *f, const char *filename);
E const char *any_service();
E void servcount();
E int is_services_nick (const char *nick);
E int is_justservices_nick (const char *nick);
E void introduce_user (const char *user);
E int is_server (const char *nick);
E int file_version;
E int get_file_version (FILE *f, const char *filename);

/* memoserv.c */
E void get_memoserv_stats(long *nrec, long *memuse);
E void memoserv (const char *source, char *buf);
E MemoList *memolists[256];
E void load_ms_dbase (void);
E void save_ms_dbase (void);
E void check_memos (const char *nick, const char *checker);
E MemoList *find_memolist (const char *nick);
E void del_memolist (MemoList *ml);

/* misc.c */
#if !HAVE_SNPRINTF
# if BAD_SNPRINTF
#  define vsnprintf my_vsnprintf
#  define snprintf my_snprintf
# endif
E int vsnprintf (char *buf, size_t size, const char *fmt, va_list args);
E int snprintf (char *buf, size_t size, const char *fmt, ...);
#endif
#if !HAVE_STRICMP && !HAVE_STRCASECMP
E int stricmp (const char *s1, const char *s2);
E int strnicmp (const char *s1, const char *s2, size_t len);
#endif
#if !HAVE_STRDUP
E char *strdup (const char *s);
#endif
#if !HAVE_STRSPN
E size_t strspn (const char *s, const char *accept);
#endif
E char *stristr (char *s1, char *s2);
#if !HAVE_STRERROR
E char *strerror (int errnum);
#endif
#if !HAVE_STRSIGNAL
char *strsignal (int signum);
#endif
E char *sgets2(char *buf, int len, int s);
E char *strscpy (char *d, const char *s, size_t len);
E void *smalloc (long size);
E void *scalloc (long elsize, long els);
E void *srealloc (void *oldptr, long newsize);
E char *sstrdup (const char *s);
E char *merge_args (int argc, char **argv);
E int match_wild (const char *pattern, const char *str);
E int match_wild_nocase (const char *pattern, const char *str);
E char *strupper (char *s);
E char *strlower (char *s);
E char *read_string (FILE *f, const char *filename);
E void write_string (const char *s, FILE *f, const char *filename);
E char *myctoa (char c);
E char *myitoa (int num);
E char *time_ago (time_t time, int call);
E char *disect_time (time_t time, int call);
E Hash *get_hash (const char *source, const char *cmd, Hash *hash_table);
E Hash_NI *get_ni_hash (const char *source, const char *cmd, Hash_NI *hash_table);
E Hash_CI *get_ci_hash (const char *source, const char *cmd, Hash_CI *hash_table);
E Hash_HELP *get_help_hash (const char *source, const char *cmd, Hash_HELP *hash_table);
E Hash_CHAN *get_chan_hash (const char *source, const char *cmd, Hash_CHAN *hash_table);
E int hasmode (const char *mode, const char *modestr);
E char *changemode (const char *mode, const char *modestr);

/* nickserv.c */
E NickInfo *nicklists[256];
E Timeout *timeouts;
E int S_nick_reg, S_nick_drop, S_nick_ghost, S_nick_kill, S_nick_ident;
E int S_nick_recover, S_nick_release, S_nick_link;
E int S_nick_getpass, S_nick_forbid, S_nick_suspend, S_nick_unsuspend;
E void get_nickserv_stats (long *nrec, long *memuse);
E int delnick (NickInfo *ni);
E void nickserv (const char *source, char *buf);
E void load_ns_dbase (void);
E void save_ns_dbase (void);
E int validate_user (User *u);
E void cancel_user (User *u);
E void check_timeouts (void);
E void expire_nicks (void);
E NickInfo *findnick (const char *nick);
E NickInfo *host (NickInfo *ni);
E NickInfo *slave (const char *nick, int num);
E int countslave (const char *nick);
E int issibling (NickInfo *ni, const char *target);
E int slavecount (const char *nick);
E int userisnick (const char *nick);
E long getflags (NickInfo *ni);
E int is_on_ignore (const char *source, const char *target);

/* operserv.c */
E int akill_expire;
E int clones_allowed;
E char *getmsgname (short type);
E void operserv (const char *source, char *buf);
E Sop *sops;
E int nsop, sop_size;
E void load_sop (void);
E void save_sop (void);
E int is_services_op (const char *nick);
E int is_justservices_op (const char *nick);
E Message *messages;
E int nmessage, message_size;
E void load_message (void);
E void save_message (void);
E Akill *akills;
E int nakill, akill_size;
E void load_akill (void);
E void save_akill (void);
E int check_akill (const char *nick, const char *username, const char *host);
E void expire_akill (void);
E int del_akill (const char *mask, int call);
E Clone *clonelist;
E Allow *clones;
E int nclone, clone_size;
E void clone_add (const char *nick, const char *host);
E void clone_del (const char *host);
E int del_clone (const char *host);
E void clones_add (const char *nick, const char *host);
E void clones_del (const char *host);
E void load_clone (void);
E void save_clone (void);
E void listchans (int count_only, const char *chan);
E void listnicks (int count_only, const char *nick);

/* process.c */
E int ignorecnt, ignore_size, servcnt, serv_size;
E Ignore *ignore;
E Servers *servlist;
E Timer *pings;
E char motd_filename[512];
E int flood_messages, flood_time, ignore_time, ignore_offences;
E void addtimer (const char *label);
E void deltimer (const char *label);
E time_t gettimer (const char *label);
E int is_ignored (const char *nick);
E int split_buf (char *buf, char ***argv, int colon_special);
E void process (void);

/* send.c */
E void send_cmd (const char *source, const char *fmt, ...);
E void vsend_cmd (const char *source, const char *fmt, va_list args);
E void wallops (const char *whoami, const char *fmt, ...);
E void notice (const char *source, const char *dest, const char *fmt, ...);
E void opnotice (const char *source, const char *dest, const char *fmt, ...);
E void ctcpreply (const char *source, const char *dest, const char *fmt, ...);
E void notice_list (const char *source, const char *dest, const char **text);
E void noticeall (const char *fmt, ...);

/* socket.c */
E int sgetc (int s);
E char *sgets (char *buf, int len, int s);
E int sputs (char *str, int s);
E int sockprintf (int s, char *fmt,...);
E int conn (const char *host, int port, const char *lhost, int lport);
E void disconn (int s);
E int32 total_read, total_written;

/* users.c */
E int usercnt, opcnt, maxusercnt, userstat;
E User *userlist;
E void get_user_stats (long *nusers, long *memuse);
E User *finduser (const char *nick);
E User *findusermask (const char *mask, int matchno);
E int countusermask (const char *mask);
E void change_user_nick (User *u, const char *nick);
E void do_nick (const char *source, int ac, char **av);
E void do_join (const char *source, int ac, char **av);
E void do_part (const char *source, int ac, char **av);
E void do_kick (const char *source, int ac, char **av);
E void do_svumode (const char *source, int ac, char **av);
E void do_umode (const char *source, int ac, char **av);
E void do_quit (const char *source, int ac, char **av);
E void do_kill (const char *source, int ac, char **av);
E void delete_user (User *user);
E int is_services_admin (const char *nick);
E int is_justservices_admin( const char *nick);
E int is_oper (const char *nick);
E int is_on_chan (const char *nick, const char *chan);
E int is_chanop (const char *nick, const char *chan);
#ifdef IRC_UNREAL
E int is_halfopped (const char *nick, const char *chan);
#endif
E int is_voiced (const char *nick, const char *chan);
E void kill_user (const char *who, const char *nick, const char *reason);
E int match_usermask (const char *mask, User *user);
E void split_usermask (const char *mask, char **nick, char **user, char **host);
E char *create_mask (User *u);

#endif	/* EXTERN_H */
