/* Text outputs for services
  
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
  
   Below is a list of the % values, if there are any in text you are
   editing, make sure they are still there after editing, else you will
   need to rewrite the calling functions to acomodate for it. They also
   need to stay in the SAME ORDER.
  
   %s == String			%c == Single Character
   %d == Integer		%l == Numeric (%#.#l to adjust DP, etc)
   
   Below is a list of the formatting helpers, add or remove at will.
   Remember, you use the same code to start and end the formatting.
   When you end ONE type of formatting, it ends ALL types active.  You
   must use \15 when going strait from one format to another (no space).
   You must make these 3-digit numbers if followed by a number. (ie 002)
  
   \2  == (^B) Bold		\37 == (^_) Underline
   \22 == (^V) Reverse		\15 == (^O) Cancel Formatting
  
   If you want to use mIRC colour schemes, the syntax is listed below, but
   it is NOT recommended.  Remember, you cannot have a number following a
   colour code. X == FG Colour, Y == BG Colour (listed below).
   These must be 3-digit numbers, as they are followed by a number.
  
   \003X == Change foreground	\003X,Y == Change foreground AND background
   \003  == End colour (if not followed by any numbers)
  
   0  == White			8  == Yellow
   1  == Black			9  == Light Green
   2  == Blue			10 == Cyan
   3  == Green			11 == Light Cyan
   4  == Red			12 == Light Blue
   5  == Brown			13 == Light Purple/Pink
   6  == Purple			14 == Grey
   7  == Orange			15 == Light Grey
 */

#ifndef MESSAGES_H
#define MESSAGES_H

/************************** Network Specific Items **************************/

/* These messages are specific to Auspice.org. You should change them to 
   suit your network.
 */

/* For this one, you can change the part after 'Please set an E-Mail' to
   reflect your network's policies. DO NOT remove it entirely. DO NOT change
   'Please set an E-Mail'. If you do (without similar changes to the source)
   then what NickServ says when you register won't make much sense :)
 */
#define NS_SET_EMAIL		"Please set an E-Mail. \2You cannot get lost passwords without a valid E-Mail\2."

/* Same deal as above, only this time don't change 'You have not set an
   E-Mail
 */
#define NS_NO_EMAIL		"You have not set an E-Mail. An E-Mail is required for password retrievals."

/********************************** Errors **********************************/

/* Global error replies. */
#define ERR_UNKNOWN_COMMAND	"Unrecognized command \2%s\2. Type \2/MSG %s HELP\2 for help."
#define ERR_UNKNOWN_OPTION	"Unrecognized option \2%s\2. Type \2/MSG %s HELP %s\2 for help."
#define ERR_NO_HELP		"Sorry, there is no help available for \2%s\2."
#define ERR_STARTHRESH		"Entry must have at least %d non *, ? or . characters."
#define ERR_MORE_INFO		"Type \2/MSG %s HELP %s\2 for more information."
#define ERR_REQ_PARAM		"Parameter required for %s.\n"
#define ERR_NEED_EMAIL		"You must have a valid E-Mail set to %s."
#define ERR_INVALID		"That is an invalid \2%s\2. %sPlease try again."
#define ERR_DISABLED		"\2%s\2 has been disabled."
#define ERR_NO_EMAIL		"Unable to \2SENDPASS\2, no E-Mail is set for \2%s\2."
#define ERR_WRONG_PASSWORD	"Password incorrect."
#define ERR_WRONG_NS_PASSWORD	"Password incorrect. You have %d tr%s left."
#define ERR_TOO_MANY_BAD	"That was your last chance. You lose."
#define ERR_ACCESS_DENIED	"Access denied."
#define ERR_ACCESS_DENIED2	"blah"
#define CS_ACCESS_DENIED	"Access denied. You must be %s."
#define CS_ACCESS_DENIED_LEVEL	"Access denied. You must be level %d."
#define ERR_TEMP_DISABLED	"Sorry, \2%s\2 is temporarily disabled."
#define ERR_FAILED		"Sorry, \2%s\2 failed."
#define ERR_YOU_DONT_EXIST	"Sorry, could not obtain your user information."
#define ERR_NEED_PASSWORD	"Password authentication required for \2%s\2."
#define ERR_IDENT_NICK_FIRST	"Please retry after typing \2/MSG %s IDENTIFY Password\2."
#define ERR_BETTER_PASS		"Please try again with another password."
#define ERR_PASS_REJECTED	"The password you gave was rejected because %s"
#define ERR_PASS_SUGGESTION1	"I suggest a password between 8 and 32 characters in length."
#define ERR_PASS_SUGGESTION2	"Try a password made up of random letters and numbers."
#define ERR_ONLY_ON_IRCOP	"\2%s\2 may only be performed on an IRCOp."
#define ERR_MUST_BE_IRCOP	"You lack the privileges for \2%s\2."
#define ERR_NO_SENDMAIL		"SendMail has not been configured. \2SENDPASS\2 is disabled."
#define ERR_BAD_MASK		"That mask is not valid. Please give a mask in the form of user@host."
#define ERR_NOT_SERVICES	"You cannot jupe services."
#define ERR_NEED_MLOCK_PARAM	"Paramater required for MLOCK +%c."
#define ERR_MLOCK_POSITIVE	"Paramater for MLOCK +%c must be positive."
#define ERR_SECURE_NICKS	"SECURE access lists may only contain registered nicks."
#define ERR_REG_NICKS_ONLY	"\2%s\2 lists can only contain registered nicks."
#define ERR_SUSPENDED_CHAN	"Access denied for SUSPENDED channels."
#define ERR_CHAN_NOTVALID	"\2%s\2 is not a valid channel name."
#define ERR_NEED_OPS		"You must be a channel operator for \2%s\2."
#define ERR_IDENT_CHAN_FIRST	"Please retry after typing \2/MSG %s IDENTIFY %s Password\2."
#define ERR_MEMO_TOO_LONG	"Memos can not be longer than 256 characters. You had %d. Please remove %d character%s."
#define ERR_FULL_MEMOBOX	"Sorry, \2%s\2's memobox is full."
#define ERR_SUSPENDED_NICK	"Access denied for SUSPENDED nicks."
#define ERR_NOT_GUEST		"You cannot register a Guest nick."
#define ERR_NICK_FORBIDDEN	"This nick may not be used. Please choose another."
#define ERR_NICK_OWNED		"This nick is owned by someone else. Please choose another."
#define ERR_NICK_IDENTIFY	"If this is your nick, type \2/MSG %s IDENTIFY Password\2."
#define ERR_60_SECONDS		"You have\2 60 \2seconds to comply or your nick will be changed."
#define ERR_40_SECONDS		"You have\2 40 \2seconds to comply. Please change nicks or identify."
#define ERR_20_SECONDS		"You have\2 20 \2seconds to comply. This is your last warning."
#define ERR_MUST_BE_HOST	"\2%s\2 must be done as the HOST nick."
#define ERR_CANT_BE_LINK	"\2%s\2 may not be done on a LINKED nick."
#define ERR_NOT_ON_YOURSELF	"\2%s\2 may not be performed on yourself."
#define ERR_NOT_ON_IRCOP	"\2%s\2 may not be performed on an IRCOp."
#define ERR_FORMATTING		"You must specify \2%s\2 only."
#define ERR_MAY_NOT_HAVE	"You may not use a %c character."
#define ERR_MUST_HAVE		"You must include a %c character."
#define ERR_CANNOT_FIND_USER	"User %s is not online."
#define ERR_NOT_CASE		"\2%s\2 needs to be the same as your %s."
#define ERR_NO_CONFIG		"Can't fine config file! Did you place it in the data directory?"
#define ERR_WAIT_SEND		"Please wait %s before sending another memo."
#define ERR_WAIT_NREG		"Please wait %s before registering another nickname."
#define ERR_WAIT_CREG		"Please wait %s before registering another channel."
#define NS_TRY_LINK		"While you are waiting, please consider using the %s LINK command."
#define NS_LINK_HELP		"\2/MSG %s HELP LINK\2 for more information on %s LINK."

/*********************************** Misc ***********************************/

/* Info reply texts. */
#define INFO_SYNC_TIME		"Next database sync is in %s."
#define INFO_LIST_MATCH		"List of entries matching \2%s\2:"
#define INFO_END_OF_LIST	"End of list - \2%d\2 matches shown."
#define INFO_EMAIL		"E-Mail"
#define INFO_URL		"URL"
#define INFO_INFO		"INFO"
#define INFO_SEX		"SEX"
#define INFO_AGE		"AGE"
#define INFO_LOC		"Location"
#define INFO_DOB		"Date Of Birth"
#define INFO_UIN		"UIN"
#define INFO_FOUNDER		"Founder"
#define INFO_DESC		"Description"
#define INFO_MLOCK		"Mode Lock"
#define INFO_JOIN		"ChanServ Join"  
#define INFO_END		"*** \2End of Info\2"

/* Different lists maintinance */
#define LIST_THERE		"\2%s\2 is already present (or inclusive) on %s %s list."
#define LIST_NOT_THERE		"\2%s\2 not found on %s %s list."
#define LIST_NOT_FOUND		"No such entry \2#%d\2 on %s %s list."
#define CS_LIST_NOT_FOUND	"Entry \2%s\2 not found on the \2%s %s\2 list."
#define LIST_ADDED		"Message added to %sMSG list."
#define TRIGGER_ADDED		"\2%s\2 has been added to trigger list."
#define CSOP_ADDED		"\2%s\2 has been added to the CSOp list."
#define IGNORE_ADDED		"\2%s\2 has been added to the ignore list."
#define ACCESS_ADDED		"\2%s\2 had been added to your ACCESS list."
#define COMMENT_ADDED		"\2%s\2 had been added to your COMMENT list."
#define NOTE_ADDED		"\2%s\2 had been added to your NOTE list."
#define AKICK_ADDED		"\2%s\2 has been added to the %s AKICK list."
#define LIST_ADDED_AT		"\2%s\2 has been added to the \2%s\2 %s list at \2%s\2."
#define LIST_REMOVED		"\2%s\2 has been removed from the %s %s list."
#define LIST_REMOVED_NUM	"Entry \2#%d\2 has been removed from the \2%s\2 %s list."
#define LIST_REMOVED_MASK	"%d entr%s matching \2%s\2 removed from the \2%s\2 %s list."
#define LIST_REMOVED_ALL	"All entries on the \2%s\2 %s list removed."
#define LIST_UNCHANGED		"\2%s\2 unchanged on the \2%s\2 %s list at \2%s\2."
#define LIST_CHANGED		"\2%s\2 changed on the \2%s\2 %s list to \2%s\2."
#define LIST_LIMIT		"Sorry, you may only have %d entries on the \2%s\2 %s list."
#define DOP_ADDED		"\2%s\2 has been added to the \2%s\2 DOP list."
#define DOP_REMOVED		"\2%s\2 has been removed from the \2%s\2 DOP list."
#define DOP_UNCHANGED		"\2%s\2 unchanged on \2%s\2 at DOP."
#define VOP_ADDED		"\2%s\2 has been added to the \2%s\2 VOP list."
#define VOP_REMOVED		"\2%s\2 has been removed from the \2%s\2 VOP list."
#define VOP_UNCHANGED		"\2%s\2 unchanged on \2%s\2 at VOP."
#define HOP_ADDED		"\2%s\2 has been added to the \2%s\2 HOP list."
#define HOP_REMOVED		"\2%s\2 has been removed from the \2%s\2 HOP list."
#define HOP_UNCHANGED		"\2%s\2 unchanged on \2%s\2 at HOP."
#define AOP_ADDED		"\2%s\2 has been added to the \2%s\2 AOP list."
#define AOP_REMOVED		"\2%s\2 has been removed from the \2%s\2 AOP list."
#define AOP_UNCHANGED		"\2%s\2 unchanged on \2%s\2 at AOP."
#define SOP_ADDED		"\2%s\2 has been added to the \2%s\2 SOP list."
#define SOP_REMOVED		"\2%s\2 has been removed from the \2%s\2 SOP list."
#define SOP_UNCHANGED		"\2%s\2 unchanged on \2%s\2 at SOP."
#define LIST_FOR		"%s list for \2%s\2:"
#define IS_NOW			"%s is now %s."
#define FOR_IS_NOW		"%s for \2%s\2 is now %s."
#define IS_NO_LONGER		"%s is no longer %s."
#define CHANGED_TO		"%s changed to %s."
#define OF_CHANGED_TO		"%s of %s changed to %s."
#define OF_CHANGED		"%s of %s changed."
#define MLOCK_CHANGED_TO	"ModeLock of %s changed to %s%s%s%s."
#define WAS_REMOVED		"%s removed."
#define OTHER_REMOVED		"%s's %s removed."
#define OF_REMOVED		"%s of %s removed."
#define FLAG_ALREADY		"The \2%s\2 flag is already \2%s\2."

/* Output in multi files */
#define MULTI_GETPASS		"Password for %s (%s) is \2%s\2."
#define MULTI_GETPASS_WALLOP	"\2%s\2 used GETPASS on \2%s\2 (%s)."
#define MULTI_SETPASS		"Password for %s (%s) changed to \2%s\2."
#define MULTI_SETPASS_WALLOP	"\2%s\2 used SETPASS on \2%s\2 (%s)."
#define MULTI_SENDPASS		"The password for %s (%s) has been E-Mailed to \2%s\2."
#define MULTI_SENDPASS_WALLOP	"\2%s\2 used SENDPASS on \2%s\2 (%s)."
#define MULTI_FORBID		"\2%s\2 has been FORBIDDEN."
#define MULTI_SUSPEND		"\2%s\2 (%s) has been SUSPENDED."
#define MULTI_UNSUSPEND		"\2%s\2 (%s) has been UNSUSPENDED."

/* process.c stuff */
#define FLOODING		"%s is flooding services. (placed on %s ignore)."
#define TEMP_FLOOD		"Services flood triggered (more than %d messages in %d seconds). You are being ignored for %d seconds."
#define PERM_FLOOD		"Services flood triggered more than %d times in one connection. You are now on permanent ignore."
#define IS_IGNORED		"You have triggered permanent ignore on a previous connection. You will not be answered by services."
#define SERVICES_OFF_REASON	"Services are currently \2OFF\2 (%s)."
#define SERVICES_OFF		"Services are currently \2OFF\2."
#define SERVICES_ON		"Services have now been turned back \2ON\2. We apologize for any inconvenience."
#define SERVICES_LEAVING 	"Services are shutting down. They should be back momentarily."
#define SERVICES_BACK		"Services are now back online. We apologize for any inconvenience."
#define ONOFF_NOTIFY		"Services turned \2%s\2 by request of \2%s\2."

/********************************* NickServ *********************************/

/* Info displays */
#define NS_INFO_INTRO		"*** \2%s is\2 %s"
#define NS_INFO_HOST		"Host nick    : \2%s\2"
#define NS_INFO_EMAIL		"E-Mail       : %s"
#define NS_INFO_URL		"URL          : %s"
#define NS_INFO_AGE		"AGE          : %s"
#define NS_INFO_SEX		"SEX          : %s"
#define NS_INFO_LOC		"LOCATION     : %s"
#define NS_INFO_INFO		"INFO         : %s"
#define NS_INFO_DOB		"DATE OF BIRTH: %s"
#define NS_INFO_UIN		"UIN          : %ld"
#define NS_INFO_COM		"\2Comment%d\2     : %s"
#define NS_INFO_SUSPENDED	"Suspended for: %s"
#define NS_INFO_USERMASK	"Last address : %s"
#define NS_INFO_REGISTERED	"Registered   : %s (%s ago)"
#define NS_INFO_ONLINE_AS	"Online as    : \2%s\2"
#define NS_INFO_LAST_SEEN	"Last seen    : %s (%s ago)"
#define NS_INFO_LAST_ONLINE	"Last online  : %s (%s ago)"
#define NS_INFO_OPTIONS		"Options      : %s"
#define NS_INFO_NOEXPIRE	"This nick will not expire."
#define NS_INFO_NOMEMO		"This nick will not receive memos."
#define NS_INFO_COUNT		"%d nicks currently registered."
#define NS_INFO_ONLINE		"This user is online. For extra info, \2/WHOIS %s\2"

/* FLAG names */
#define NS_FLAG_SUSPENDED	"\2Suspended\2"
#define NS_FLAG_KILLPROTECT	"Enforce"
#define NS_FLAG_SECURE		"Security"
#define NS_FLAG_PRIVATE		"Private"
#define NS_FLAG_IRCOP		"IRCOp"
#define NS_FLAG_SOP		"CSOp"
#define NS_FLAG_SRA		"SRA"
#define NS_FLAG_NOMEMO		"NoMemo"
#define NS_FLAG_HIDEMAIL	"HideMail"
#define NS_FLAG_NEVEROP		"NeverOp"
#define NS_FLAG_NOOP		"NoOp"
#define NS_FLAG_MARKED		"Marked"
#define NS_FLAG_HELD		"Held"
#define NS_FLAG_MEMOMAIL	"MemoMail"
#define NS_FLAG_NONE		"None"

/* General returns */
#define NS_REGISTERED		"Your nickname is now registered."
#define NS_SET_HIDEMAIL		"If you wish to keep your E-Mail secret, type \2/MSG %s SET HideMail ON\2."
#define NS_FINISHED_REG		"This will make your E-Mail available only for password retrievals."
#define NS_LINKED		"Your nickname is now linked to \2%s\2."
#define NS_DROPPED		"Nick \2%s\2%s%s%s has been dropped."
#define NS_CHANGE_PASSWORD	"Your password has been set to \2%s\2."
#define NS_KILLED_IMPOSTER	"Your ghost has been removed."
#define NS_NOT_ENFORCER		"You cannot \2%s\2 an enforcer."
#define NS_RELEASE		"Type \2/MSG %s RELEASE %s password\2 to use it before the \2%d second\2 timeout."
#define NS_RELEASED		"Your nick has been released from custody."
#define NS_RECOVERED		"Your nick has been recovered."
#define NS_FORCED_CHANGE	"You did not identify for this nick, so your nick has been changed."
#define NS_FORCED_KILL		"This nick is owned by someone else."
#define NS_FAILMAX_KILL		"Repeated password failure."
#define NS_GHOST_KILL		"Ghost command used by %s."
#define NS_IDENTIFIED		"Password accepted for nick \2%s\2."
#define NS_FORBID_WALLOP	"\2%s\2 forbade nick \2%s\2 (%d linked nicks dropped)."
#define NS_MARKED		"Nick \2%s\2 is marked, you cannot GETPASS or SENDPASS it."
#define NS_REGISTERED_INFO      "For more information on owning your own nickname, go to:"
#define NS_GUESTED_INFO         "For more information on what this means, go to:" 
#define NS_NOT_IRCOP		"You have not set the \2IRCOP\2 flag for your nick."
#define NS_SET_IRCOP		"Please set this with \2/MSG %s SET IRCOP ON\2."
#define NS_TO_SET_EMAIL		"Set an E-Mail with \2/MSG %s SET EMAIL your@email.tld\2"
#define NS_NOT_CSOP		"You have not set the \2CSOP\2 flag for your nick."
#define NS_SET_CSOP		"Please set this with \2/MSG %s CSOP ADD %s\2"
#define NS_IGNORE_LIST		"Ignore list:"
#define NS_NOW_USING		"Now using \2%s\2 instead of %s"
#define NS_IRCOP		"\2%s\2 turned the IRCOp flag on."
#define NS_CASE_SET		"The case of your nickname was changed from \2%s\2 to \2%s\2."
#define NS_FORBIDDEN		"Nick \2%s\2 is forbidden."
#define NS_SUSPENDED		"Nick \2%s\2 is suspended."

/* Ownership and status */
#define NS_NOT_YOURS		"Nick \2%s\2 does not belong to you."
#define NS_IN_USE		"Nick \2%s\2 is currently in use."
#define NS_NOT_IN_USE		"Nick \2%s\2 is not currently in use."
#define NS_NOT_HELD		"Nick \2%s\2 is not being held."
#define NS_YOU_NO_SLAVES	"You have no linked nicks."
#define NS_NO_SLAVES		"Nick \2%s\2 has no linked nicks."
#define NS_YOU_NOT_REGISTERED	"Nick \2%s\2 is not registered."
#define NS_NOT_REGISTERED	"Nick \2%s\2 is not registered."
#define NS_TAKEN		"Nick \2%s\2 is already registered."
#define NS_CANNOT_REGISTER	"Nick \2%s\2 may not be registered."
#define NS_CANNOT_LINK		"Nick \2%s\2 may not be linked."
#define NS_AM_IGNORED		"\2%s\2 is ignoring your memos."
#define NS_IS_SUSPENDED_MEMO	"\2%s\2 is SUSPENDED, therefore may not retrieve memos."
#define NS_IS_SUSPENDED		"Nick \2%s\2 is suspended."
#define NS_IS_NOT_SUSPENDED	"Nick \2%s\2 is not suspended."
#define NS_STATUS		"Your current status: %s"

/********************************* ChanServ *********************************/

/* INFO Displays */
#define CS_INFO_INTRO		"*** \2Info on %s\2"
#define CS_INFO_FOUNDER		"Founder      : %s%s%s%s"
#define CS_INFO_DESC		"Description  : %s"
#define CS_INFO_URL		"URL          : %s"
#define CS_INFO_REG_TIME	"Registered   : %s (%s ago)"
#define CS_INFO_LAST_USED	"Last used    : %s (%s ago)"
#define CS_INFO_SUSPENDED	"Suspended for: %s"
#define CS_INFO_SUSPENDER	"Suspended by : \2%s\2"
#define CS_INFO_CHAN_STAT	"Channel stats: %d user%s, %d voice%s, %d op%s."
#define CS_INFO_OPTIONS		"Options      : %s"
#define CS_INFO_MLOCK		"Mode lock    : %s"
#define CS_INFO_COUNT		"%d channels currently registered."

/* FLAG Names */
#define CS_FLAG_SUSPENDED	"\2Suspended\2"
#define CS_FLAG_PRIVATE		"Private"
#define CS_FLAG_KEEPTOPIC	"KeepTopic"
#define CS_FLAG_GREET		"Greeting"
#define CS_FLAG_TOPICLOCK	"TopicLock"
#define CS_FLAG_SECUREOPS	"SecureOps"
#define CS_FLAG_SECURE		"Secure"
#define CS_FLAG_RESTRICTED	"Restricted"
#define CS_FLAG_MARKED		"Marked"
#define CS_FLAG_HOLD		"Held"
#define CS_FLAG_VERBOSE		"Verbose"
#define CS_FLAG_VOPALL		"VOPAll"
#define CS_FLAG_NONE		"None"

/* Bitchy Stuff */
#define CS_SUSPENDED_TOPIC	"This channel is \2suspended\2: %s"
#define CS_FORBID_WALLOP	"\2%s\2 forbade channel \2%s\2."
#define CS_CANT_ADD		"\2%s\2 does not wish to be added to access lists."
#define CS_MARKED		"\2%s\2 is marked, you cannot GETPASS or SENDPASS it."

/* Levels and Access */
#define CS_LEVELS_START		"*** \2ChanServ Levels\2 ***"
#define CS_LEVELS_END		"*** \2End of Levels\2 ***"
#define CS_ACCESS_ZERO		"Access levels must be non-zero."
#define CS_ACCESS_LOW		"Cannot add or change to access levels below \2%d\2."
#define CS_ACCESS_HIGH		"Cannot add or change to access levels above \2%d\2."
#define CS_ACCESS_HIGHER	"Sorry, \2%s\2 is higher or equal on access list."
#define CS_HIGHER_MATCH		"Sorry, \2%s\2 matches \2%s\2 (higher or equal on access list)."
#define CS_MOVE_ACCESS		"Move \2%s\2 from access \2%d\2 to access \2%d\2 on \2%s\2."
#define CS_MOVE_DACCESS		"Move \2%s\2 from \2%s\2 to \2%s\2 on \2%s\2."

/* General Outputs */
#define CS_REGISTERED		"Channel \2%s\2 successfully registered under your account: \2%s\2."
#define CS_DEFAULT_MLOCK	"For your convenience, a default modelock of \2+%s%s%s\2 has been set on \2%s\2."
#define CS_DEFAULT_TOPIC	"This channel has been successfully registered."
#define CS_DROPPED		"ChanServ management of \2%s\2 stopped."
#define CS_CHANGE_PASSWORD	"Founder password for \2%s\2 has been set to \2%s\2."
#define CS_IDENTIFIED		"Password accepted. You now have founder access on \2%s\2."
#define CS_YOU_UNBANNED		"You have been unbanned from \2%s\2."
#define CS_UNBANNED		"\2%s\2 has been unbanned from \2%s\2."
#define CS_CLEARED		"\2%s\2 have been cleared from \2%s\2."
#define CS_CLEAR_KICK		"MassKick from %s"
#define CS_REG_GLOBAL		"\2%s\2 registered \2%s\2"
#define CS_FOUNDER_INFO         "For more information on owning your own channel, go to:"
#define YOUR_STATUS		"Your status on %s is \2%s\2."
#define YOUR_STATUS_LEVEL	"Your status on %s is \2%s\2. (Level %d)"
#define CS_WHY			"\2%s\2 %s \2%s\2 %s \2%s\2 %s"   
#define CS_WHY_FOUNDER		"\2%s\2 %s \2%s\2 %s \2%s\2 %s \2%s\2"
#define CS_WHY_UNKNOWN		"Could not find \2%s\2 on the access list for \2%s\2."
#define CS_COUNT		"There are \2%d DOPs, %d VOPs, %d AOPs \2and\2 %d SOPs\2 on \2%s\2."
#define CS_COUNT_UNREAL		"There are \2%d DOPs, %d VOPs, %d HOPs, %d AOPs \2and\2 %d SOPs\2 on \2%s\2."
#define WERE_VOICED             "You were voiced on \2%s\2 by \2%s\2."
#define WERE_DEVOICED           "You were devoiced on \2%s\2 by \2%s\2."
#ifdef IRC_UNREAL
#define WERE_HALFOPPED		"You were halfopped on \2%s\2 by \2%s\2."
#define WERE_DEHALFOPPED	"You were dehalfopped on \2%s\2 by \2%s\2."
#endif
#define WERE_OPPED              "You were opped on \2%s\2 by \2%s\2." 
#define WERE_DEOPPED            "You were deopped on \2%s\2 by \2%s\2."   
#define WERE_INVITED            "You were invited to \2%s\2 by \2%s\2."
#define WAS_INVITED             "\2%s\2 has been invited to \2%s\2."
#define WERE_UNBANNED		"You were unbanned from \2%s\2 by \2%s\2."
#define CS_SET_FOUNDER		"You are now the founder of \2%s\2."
#define CS_CASE_SET		"The case of \2%s\2 was changed to \2%s\2."
#define DESC_TOO_LONG		"The description you gave is too long (%d characters)."
#define DESC_MAX		"Descriptions can be a maximum of 50 characters long."
#define CS_NOT_BANNED		"%s is not banned on \2%s\2."
#define CS_YOU_NOT_BANNED	"You are not banned on \2%s\2."
#define CS_NO_BANS		"There are no bans on \2%s\2."
#define CS_ALL_UNBANNED		"All bans have been removed from \2%s\2."

/* Ownerships */
#define CS_ERR_SUSPENDED	"Channel \2%s\2 is currently SUSPENDED, no ops/voices will be allowed."
#define CS_ERR_REGISTERED	"Channel \2%s\2 is a registered channel, access privileges apply."
#define CS_IN_USE		"Channel \2%s\2 is currently in use."
#define CS_NOT_IN_USE		"Channel \2%s\2 is not currently in use."
#define CS_NOT_REGISTERED	"Channel \2%s\2 is not registered."
#define CS_TAKEN		"Channel \2%s\2 is already registered."
#define CS_CANNOT_REGISTER	"Channel \2%s\2 may not be registered."
#define CS_FORBIDDEN		"Channel \2%s\2 may not be used."
#define CS_GET_OUT		"You are not permitted in this channel."
#define CS_GET_OUT_SUSPENDED	"This channel is suspended and may not be used."
#define CS_GET_OUT_FORBIDDEN	"This channel is forbidden and may not be used."
#define CS_IS_SUSPENDED		"Channel \2%s\2 is SUSPENDED."
#define CS_IS_NOT_SUSPENDED	"Channel \2%s\2 is not SUSPENDED."
#define CS_YOU_NOT_IN_CHAN	"You are not in \2%s\2."
#define CS_NOT_IN_CHAN		"\2%s\2 is not in \2%s\2."
#define CS_BE_IN_CHAN		"You must be an op on \2%s\2 to register it."
#define CS_YOU_NOT_GOT		"You are not \2%s\2 in \2%s\2."
#define CS_NOT_GOT		"\2%s\2 is not %s in \2%s\2."
#define CS_YOU_ALREADY_GOT	"You are already %s in \2%s\2."
#define CS_ALREADY_GOT		"\2%s\2 is already %s in \2%s\2."

/********************************* MemoServ *********************************/

#define MS_YOU_DONT_HAVE	"You have no new memos."
#define MS_THEY_DONT_HAVE	"\2%s\2 has no memos you can recall."
#define MS_RECALLED		"Memo \2%d\2 for \2%s\2 has been recalled."
#define MS_YOU_HAVE		"You have \2%d\2 new memo%s."
#define MS_DOESNT_EXIST		"Memo \2%d\2 does not exist."
#define MS_NOMEMO		"\2%s\2 does not wish to receive memos."
#define MS_LIST			"To read, type \2/MSG %s READ NUM\2."
#define MS_LIST_ALL		"Type \2/MSG %s LIST\2 to list all memos."
#define MS_NEW_GLOBAL		"You have a new global memo."
#define MS_NEW			"You have a new %smemo from \2%s\2."
#define MS_READ_NEW		"Type \2/MSG %s READ %d\2 to read it."
#define MS_MEMO			"Memo \2%d\2 from \2%s\2 (sent %s ago)."
#define MS_TODEL		"To delete, type \2/MSG %s DEL %d\2."
#define MS_TODEL_ALL		"To delete, type \2/MSG %s DEL ALL\2."
#define MS_SEND			"Memo sent to \2%s\2."
#define MS_FORWARD		"Memo forwarded to \2%s\2."
#define MS_GLOBAL_SEND		"Global memo sent."
#define MS_GLOBAL_WALLOP	"\2%s\2 sent a global memo."
#define MS_MASS_SEND		"Memo sent to all %s."
#define MS_DELETE		"Memo \2%d\2 has been deleted."
#define MS_DELETE_ALL		"All of your memos have been deleted."
#define MS_NOMEMO		"\2%s\2 does not wish to receive memos."
#define MS_NEAR_FULL_BOX	"You have %d memos. You cannot receive new memos if you reach %d."
#define MS_FULL_BOX		"Your memobox is full. You will not be able to receive new memos."
#define MS_PLEASE_EMPTY		"Please empty your memobox with the \2DEL\2 command to avoid this."

/********************************* OperServ *********************************/

#define OS_GLOBAL_WALLOP	"\2%s\2 just sent a global."
#define OS_SET_START		"*** \2Services Settings\2 ***"
#define OS_SET_EXP_CHAN		"Channel expiry     : \2%d\2 day%s"
#define OS_SET_EXP_NICK		"Nick expiry        : \2%d\2 day%s"
#define OS_SET_EXP_AKILL	"AKILL expiry       : \2%d\2 day%s"
#define OS_SET_CLONES		"Allowed clones     : \2%d\2 "
#define OS_SET_RELEASE		"Nicks held for     : \2%d\2 second%s"
#define OS_SET_AKICKS		"AKICK%s per channel%s : \2%d\2"
#define OS_SET_FLOOD		"Flood trigger      : \2%d:%d\2"
#define OS_SET_IGNORE		"Ignore time        : \2%d\2 second%s"
#define OS_SET_UPDATE		"DBs update every   : \2%d\2 second%s"
#define OS_SET_MLOCK		"Default ModeLock   : \2+%s%s%s\2"
#define OS_SET_COLLIDE		"Nick collision type: \2%s\2"
#define OS_SET_STYLE		"Channel Style      : \2%s\2"
#define OS_SET_ADMINS		"Services Admins    : \2%s\2"
#define OS_SET_END		"*** \2End of Settings\2 ***"
#define OS_DOING_UPDATE		"Forcing DB update by request of %s."
#define OS_DOING_RELOAD		"Reloading Services."
#define OS_RELOADING		"Services are reloading. You will need to re-identify."
#define OS_QLINE		"\2%s\2 activated QUARANTINE on nick \2%s\2."
#define OS_UNQLINE		"\2%s\2 removed QUARANTINE on nick \2%s\2."
#define OS_SVSNOOP_ON		"\2%s\2 has restricted \2%s\2's opers to local."
#define OS_SVSNOOP_OFF		"\2%s\2 removed the oper restriction on \2%s\2."
#define OS_JUPE			"Juping \2%s\2 by request of \2%s\2."
#define OS_UPDATE   		"Updating databases."
#define OS_NEW_MESSAGE		"\2%s\2 created a new %s message."
#define OS_AKILL_ADDED		"\2%s\2 has been added to services %sAKILL list (%d users killed)."
#define NEW_AKILL_WALLOP	"\2%s\2 %sAKilled \2%s\2 (%d users killed) (%s)"
#define OS_AKILL_NOT_THERE	"\2%s\2 not found on services AKILL list or is PERMANENT."
#define OS_AKILL_EXPIRE		"Expiring AKILL on \2%s\2 (%s) by \2%s\2."
#define OS_AKILL_BANNED_REASON	"You are banned. (%s)"
#define OS_AKILL_BANNED		"You are banned."
#define OS_LIST_MAX		"List max cannot be more than 250."
#define OS_CLONE_HIGH		"TRIGGER AMOUNT must be less than \2%d\2."
#define OS_CLONE_LOW		"TRIGGER AMOUNT must be greater than \2%d\2."
#define OS_CLONE_TRIGGER	"NOTICE: Clone threshold broken by \2%s\2"
#define OS_AKILL_TRIGGER	"Excessive clone triggers. AKILL placed on \2%s\2."
#define OS_ACCESS_DENIED	"Access Denied. Only IRCOps can use this service."
#define OS_SENDING_PINGS	"Pinging all servers."
#define OS_DOING_REHASH		"Rehashing %s by request of %s."
#define OS_JUPE_SERVICES        "\2%s\2 attempted to jupe services!"
#define OS_JUPE_IN_PLACE        "Jupiter on server \2%s\2 is now in place."

/********************************* StatServ *********************************/

#define SS_SPAM_WARNING		"Possible spam from \2%s\2: %s"

#endif /* MESSAGES_H */
