/* MemoServ help texts.
  
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
 */

static const char *ms_help_start[] =
{
    "*** \2" ms " Help\2 ***",
    " ",
    NULL
};

static const char *ms_help_end[] =
{
    " ",
    "*** \2End of Help\2 ***",
    NULL
};

static const char *ms_ohelp_start[] =
{
    "*** \2" ms " OperHelp\2 ***",
    " ",
    NULL
};
   
static const char *ms_ohelp_end[] =
{
    " ",
    "*** \2End of OperHelp\2 ***",
    NULL
};

static const char *ms_help[] =
{
    "\2" ms "\2 allows users to send short (256 characters or less)",
    "notes to each other. Both sender and recipient must have their",
    "nicknames registered with \2" ns "\2.",
    " ",
    "For more information on a specific topic, type \2/MSG " ms " HELP Topic\2",
    "\2" ms "\2 contains information on the following topics:",
    " ",
    "\2SEND\2            Send a memo to someone",
    "\2READ\2            Read one of your memos",
    "\2LIST\2            List all of your memos",
    "\2DEL\2             Delete one or all of your memos",
    NULL
};     

static const char *send_help[] =
{
    "Syntax: \2SEND Recipient Text\2",
    " ",
    "Sends a memo to someone. Note that both your nick and the nick",
    "of the recipient must be registered with \2" ns "\2.",
    " ",
    "Example: \2SEND skold Hello!\2",
    NULL
};

static const char *read_help[] =
{
    "Syntax: \2READ Number [ALL]\2",
    " ",
    "Shows you the contents of a memo. If \2ALL\2 is specified,",
    "all of your memos are shown.",
    " ",
    "Examples: \2READ 1\2",
    "          \2READ ALL\2",
    NULL
};

static const char *list_help[] =
{
    "Syntax: \2LIST\2",
    " ",
    "Lists all of your memos. Memos can have one of 3 flags:",
    "\2Unread\2: New memos you haven't read yet have Unread status.",
    "\2Mailed\2: Memos that have been E-Mailed have Mailed status.",
    "\2Read\2: Memos that you have read have Read status.",
    " ",
    "Example: \2LIST\2",
    NULL
};

static const char *del_help[] =
{
    "Syntax: \2DEL Num|All\2",
    " ",
    "Deletes a single memo or \2All\2 memos for your nick.",
    " ",
    "Examples: \2DEL 1\2",
    "          \2DEL ALL\2",
    NULL
};

static const char *opersend_help[] =
{
    "Syntax: \2OPERSEND Text\2",
    " ",
    "Sends a memo to all users with the IRCOp flag",
    "set. (\2/MSG " ns " HELP SET IRCOP\2)",
    "Apart from the lack of recipient, this command works",
    "exactly the same as the SEND command.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *sopsend_help[] =
{
    "Syntax: \2CSOPSEND Text\2",
    " ",
    "Sends a memo to all users who are set as",
    "CSOps. (\2/MSG " os " HELP CSOP\2)",
    "Apart from the lack of recipient, this command works",
    "exactly the same as the SEND command.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *ms_ohelp[] =
{
    "\2OPERSEND\2        Send a memo to all IRCOps",
    NULL
};

static const char *ms_sop_help[] =
{
    "\2CSOPSEND\2         Send a memo to all CSOps",
    NULL
};

static const char *ms_admin_help[] =
{
    "\2GLOBALMEMO\2       Send a memo to all registered nicks",
    NULL
};

static const char *globalmemo_help[] =
{
    "Syntax: \2GLOBALMEMO Text\2",
    " ",
    "Sends a memo to all registered nicknames. The memo will",
    "show as being sent from your network name as defined in",
    "paradox.conf.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};
