/* NickServ help texts.
  
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
 */

static const char *ns_help_start[] =
{
    "*** \2" ns " Help\2 ***",
    " ",
    NULL
};
   
static const char *ns_help_end[] =
{
    " ",
    "*** \2End of Help\2 ***",
    NULL
};

static const char *ns_ohelp_start[] =
{
    "*** \2" ns " OperHelp\2 ***",
    " ",
    NULL
};
   
static const char *ns_ohelp_end[] =
{
    " ",
    "*** \2End of OperHelp\2 ***",
    NULL
};

static const char *ns_help[] =
{ 
    "\2" ns "\2 allows users to register a nickname. Once a",
    "nickname is registered to you, no one else will be allowed",
    "to use it. \2" ns "\2 also allows you to store information",
    "such as your E-Mail address and URL, and will allow you to",
    "recieve memos from \2" ms "\2.",
    " ",
    "For more information on a specific topic, type \2/MSG " ns " HELP Topic\2",
    "\2" ns "\2 contains information on the following topics:",
    " ",
    "\2REGISTER\2        Registers a nickname with \2" ns "\2",
    "\2DROP\2            Unregister your nickname",
    "\2IDENTIFY\2        Identify to \2" ns "\2 as the owner of a nickname",
    "\2SET\2             Modify various nickname settings",
    "\2INFO\2            Show information on a registered nickname",
    "\2LINK\2            Link your nickname to another registered nickname",
    " ",
    "Other commands: \2ACCESS, RECOVER, RELEASE, IGNORE, GHOST,\2",
    "                \2UNLINK, LINKS, STATUS, LISTCHANS\2",
    NULL
};

static const char *register_help[] =
{
    "Syntax: \2REGISTER Password\2",
    " ",
    "\2REGISTER\2s your current nickname with \2" ns "\2. Once",
    "your nickname is \2REGISTER\2ed, you will be able to store a",
    "URL and E-Mail, set various flags, be added to \2" cs "\2",
    "access lists, and recieve memos with \2" ms "\2. Note that",
    "the password you register with is CasE sEnSItIve. This means",
    "PaSsWorD and pASswORd are NOT the same thing.",
    " ",
    "Any passwords less than 5 characters in length, more than 32",
    "characters in length, any case of the word 'password' or",
    "'mypassword', or your own nickname will be denied.",   
    " ",
    "Example: \2REGISTER mYPaSsWorD\2",
    NULL
};

static const char *register_help_email[] =
{
    "Syntax: \2REGISTER Password E-Mail\2",
    " ",
    "\2REGISTER\2s your current nickname with \2" ns "\2. Once",
    "your nickname is \2REGISTER\2ed, you will be able to store a",
    "URL and E-Mail, set various flags, be added to \2" cs "\2",
    "access lists, and recieve memos with \2" ms "\2. Note that",
    "the password you register with is CasE sEnSItIve. This means",
    "PaSsWorD and pASswORd are NOT the same thing.",
    " ",
    "Any passwords less than 5 characters in length, more than 32",
    "characters in length, any case of the word 'password' or",
    "'mypassword', or your own nickname will be denied.",
    " ",
    "Example: \2REGISTER mYPaSsWorD your@email.com\2",
    NULL
};

static const char *identify_help[] =
{
    "Syntax: \2IDENTIFY Password\2",
    " ",
    "Tells \2" ns "\2 that you are the owner of the nickname you",
    "are using. If you do not \2IDENTIFY\2, you will not be able",
    "to change any of the nickname's settings, get ops in some",
    "channels, and may be guested.",
    " ",
    "Example: \2IDENTIFY mYPaSsWorD",
    NULL
};

static const char *link_help[] =
{
    "Syntax: \2LINK Nick Password\2",
    " ",
    "\2LINK\2s your current nickname to another registered nickname.",
    "\2LINK\2ed nicknames share everything from access lists and",
    "settings to memos. In order to link your current nickname, it",
    "must not be registered.",
    " ",
    "Example: \2LINK User mYPaSsWorD\2",
    NULL
};

static const char *set_help[] =
{
    "Syntax: \2SET Option Parameters\2",
    " ",
    "\2SET\2 allows you to modify various settings for your nickname.",
    "The flags you can modify are listed below.",
    " ",
    "For more information on a specific topic, type \2/MSG " ns " HELP SET Option\2",
    " ",
    "\2EMAIL\2           Stores an E-Mail in \2" ns "\2",
    "\2URL\2             Stores a URL in \2" ns "\2",
    "\2UIN\2             Stores a UIN in \2" ns "\2",
    "\2CASE\2            Change the case of your nickname",
    "\2ENFORCE\2         Changes your nickname enforcement setting",
    "\2SECURE\2          Changes your nickname security setting",
    "\2PASS\2            Changes your \2" ns "\2 password",
    "\2PRIVATE\2         Hides your nickname from lists",
    "\2HIDEMAIL\2        Hides your E-Mail from non CSOps",
    "\2NEVEROP\2         Stops \2" cs "\2 from auto-opping you",
    "\2NOOP\2            Stops people from adding you to access lists",
    "\2NOMEMO\2          Rejects all incoming memos",
    " ",
    "Other setting: \2AGE    SEX     LOC     DOB\2 ",
    NULL
};

static const char *memomail_set_help[] =
{
    "\2MEMOMAIL\2        Have new memos E-Mailed to you",
    NULL
};

static const char *privmsg_set_help[] =
{
    "\2PRIVMSG\2         Makes Services message you instead of notice",
    NULL
};

static const char *notice_set_help[] =
{
    "\2NOTICE\2          Makes Services notice you instead of message",
    NULL
};

static const char *drop_help[] =
{
    "Syntax: \2DROP\2",
    " ",
    "Un\2REGISTER\2s your nickname. This is irreversable. You can",
    "re\2REGISTER\2 the nickname again, but you will lose all",
    "settings, memos, and be removed from any \2" cs "\2 access",
    "lists you are on.",
    " ",
    "Example: \2DROP\2",
    NULL
};

static const char *info_help[] =
{
    "Syntax: \2INFO Nick\2",
    " ",
    "Shows you information on the given nickname. Info such as",
    "the time of register, the owners E-Mail and URL (if set),",
    "when the nickname was last used, and various other information",
    "about it.",
    " ",
    "Example: \2INFO User\2",
    NULL
};

static const char *access_help[] =
{
    "Syntax: \2ACCESS ADD|DEL|LIST|CURRENT [Mask]\2",
    " ",
    "Allows you to modify or display your \2ACCESS\2 list.",
    "Your \2ACCESS\2 list is a list of addresses \2" ns "\2 will",
    "recognize you from. \2" ns "\2 will allow you to use the nick,",
    "but you will still need to \2IDENTIFY\2 to modify it's settings.",
    " ",
    "If you have the \2SECURE\2 flag enabled, \2" ns "\2 will",
    "require you to \2IDENTIFY\2 to use the nick regardless of your",
    "\2ACCESS\2 list.",
    " ",
    "\2ACCESS ADD\2      Adds an address to your \2ACCESS\2 list",
    "\2ACCESS DEL\2      Removes an address from your \2ACCESS\2 list",
    "\2ACCESS LIST\2     Displays your \2ACCESS\2 list",
    "\2ACCESS CURRENT\2  Adds your current address to your \2ACCESS\2 list",
    " ",
    "Examples: \2ACCESS ADD *@*.yourisp.com\2",
    "          \2ACCESS DEL *@*.yourisp.com\2",
    "          \2ACCESS DEL 1\2",
    NULL
};

static const char *recover_help[] =
{
    "Syntax: \2RECOVER Nick Password\2",
    " ",
    "Recovers your nickname so you can use it again. Whoever",
    "is using your nickname will be guested, and a \2" ns "\2",
    "enforcer will be brought online. You must use the \2RELEASE\2",
    "command to remove the enforcer, or wait one minute and it will",
    "leave on it's own.",
    " ",
    "Example: \2RECOVER User mYPaSsWorD",
    NULL
};

static const char *release_help[] =
{
    "Syntax: \2RELEASE Nick Password\2",
    " ",
    "Tells \2" ns "\2 to release it's hold on your nickname.",
    "This only works when a \2" ns "\2 enforcer is holding",
    "your nickname (ie, after \2RECOVER\2).",
    " ",
    "Example: \2RELEASE User mYPaSsWorD\2",
    NULL
};

static const char *ignore_help[] =
{
    "Syntax: \2IGNORE ADD|DEL|LIST [Nick]\2",
    " ",
    "Modifies or displays your \2" ns " IGNORE\2 list. When",
    "you \2IGNORE\2 a nickname, you will not recieve memos from",
    "it. This is a more specific solution to problem users than",
    "\2NOMEMO\2 (\2/MSG " ns " HELP SET NOMEMO\2). If someone is",
    "harrassing you via \2" ms "\2, please report it.",
    " ",
    "\2IGNORE ADD\2      Adds a nick to your \2IGNORE\2 list",
    "\2IGNORE DEL\2      Removes a nick from your \2IGNORE\2 list",
    "\2IGNORE LIST\2     Displays your \2IGNORE\2 list",
    " ",
    "Examples: \2IGNORE ADD MemoFlooder\2",
    "          \2IGNORE DEL MemoFlooder\2",
    "          \2IGNORE DEL 1\2",
    NULL
};

static const char *ghost_help[] =
{
    "Syntax: \2GHOST Nick Password\2",
    " ",
    "Makes \2" ns "\2 kill a ghost. Ghosts are usually created",
    "when you are disconnected from a server or the internet.",
    " ",
    "Example: \2GHOST User mYPaSsWorD\2",
    NULL
};

static const char *dropslave_help[] =
{
    "Syntax: \2UNLINK Nick\2",
    " ",
    "\2UNLINK\2s a nickname from your host nick. This is similar",
    "to the \2DROP\2 command. Once a nickname is \2UNLINK\2ed,",
    "anyone who wants to may register it can.",
    " ",
    "Example: \2UNLINK User\2",
    NULL
};

static const char *slaves_help[] =
{
    "Syntax: \2LINKS\2",
    " ",
    "Lists any nicks \2LINK\2ed to your host nickname. This",
    "command can be issued from your host nickname, or any",
    "nicknames linked to it.",
    " ",
    "Example: \2LINKS\2",
    NULL
};

static const char *set_email_help[] =
{
    "Syntax: \2SET EMAIL E-Mail|None\2",
    " ",
    "Adds, changes, or removes your E-Mail setting in \2" ns "\2.",
    "If you do not want your E-Mail to be visible to everyone, enable",
    "the \2HIDEMAIL\2 flag (\2/MSG " ns " HELP SET HIDEMAIL\2). This",
    "will make your E-Mail visible only to CSOps.",
    " ",
    "Examples: \2SET EMAIL user@isp.com\2",
    "          \2SET EMAIL None\2",
    NULL
};

static const char *set_hidemail_help[] =
{
    "Syntax: \2SET HIDEMAIL ON|OFF\2",
    " ",
    "Modifies your \2HIDEMAIL\2 setting. \2HIDEMAIL\2 makes",
    "your E-Mail visible only to CSOps.",
    " ",
    "Examples: \2SET HIDEMAIL ON\2",
    "          \2SET HIDEMAIL OFF\2",
    NULL
};

static const char *set_neverop_help[] =
{
    "Syntax: \2SET NEVEROP ON|OFF\2",  
    " ",
    "Modifies your \2NEVEROP\2 setting. If \2NEVEROP\2 is on,",
    "\2" cs "\2 will not auto-op you in any channels you",
    "have access in. You will need to either be opped, or use",
    "the \2" cs " OP\2 command.",
    " ",
    "Examples: \2SET NEVEROP ON\2",
    "          \2SET NEVEROP OFF\2",
    NULL
};

static const char *set_memomail_help[] =
{
    "Syntax: \2SET MEMOMAIL ON|OFF\2",
    " ",
    "Modifies your \2MEMOMAIL\2 setting. \2MEMOMAIL\2 makes",
    "\2" ms "\2 E-Mail your memos to the address you set in",
    "\2" ns "\2. Up to 5 memos will be E-Mailed (default).",
    "After that, you need to clear your memobox.",
    " ",
    "Examples: \2SET MEMOMAIL ON\2",
    "          \2SET MEMOMAIL OFF\2",
    NULL
};

static const char *set_noop_help[] =
{
    "Syntax: \2SET NOOP ON|OFF\2",
    " ",
    "Modifies your \2NOOP\2 setting. \2NOOP\2 stops people from",
    "adding you to \2" cs " ACCESS\2, \2VOP\2, \2AOP\2, and \2SOP\2 lists."
    " ",
    "Examples: \2SET NOOP ON\2",
    "          \2SET NOOP OFF\2",
    NULL
};

static const char *set_pass_help[] =
{
    "Syntax: \2SET PASS NewPassword\2",
    " ",
    "Changes your \2" ns "\2 password. Note that passwords are",
    "cASe SeNsiTiVe. PasSWoRd and pAsswORd are not the same thing.",
    "You must \2IDENTIFY\2 before being able to change your password.",
    " ",
    "Any passwords less than 5 characters in length, any case of the",
    "word 'password' or 'mypassword', or your own nickname will be denied.",   
    " ",
    "Example: \2SET PASS MyPasSwORD\2",
    NULL
};

static const char *set_private_help[] =
{
    "Syntax: \2SET PRIVATE ON|OFF\2",
    " ",
    "Modifies your \2PRIVATE\2 setting. With \2PRIVATE\2 on, your",
    "nickname will not show up in any lists, and your last hostmask",
    "will be hidden from your \2INFO\2 display.",
    " ",
    "Examples: \2SET PRIVATE ON\2",
    "          \2SET PRIVATE OFF\2",
    NULL
};

static const char *set_privmsg_help[] =
{
    "Syntax: \2SET PRIVMSG ON|OFF\2",
    " ",
    "Modifies your \2PRIVMSG\2 setting. With \2PRIVMSG\2 on,",
    "Services will send you messages instead of notices.",
    " ",
    "Examples: \2SET PRIVMSG ON\2",
    "          \2SET PRIVMSG OFF\2",
    NULL
};

static const char *set_notice_help[] =
{
    "Syntax: \2SET NOTICE ON|OFF\2",
    " ",
    "Modifies your \2NOTICE\2 setting. With \2NOTICE\2 on,",
    "Services will send you notices instead of messages.",
    " ",
    "Examples: \2SET NOTICE ON\2",
    "          \2SET NOTICE OFF\2",
    NULL
};

static const char *set_nomemo_help[] =
{
    "Syntax: \2SET NOMEMO ON|OFF\2",
    " ",
    "Modifies your \2NOMEMO\2 setting. With \2NOMEMO\2 on, \2" ms "\2",
    "will reject any new memos sent to your nick. If you wish to deny",
    "memos from a specific nick, look at the \2IGNORE\2 command",
    "(\2/MSG " ns " HELP IGNORE\2).",
    " ",
    "Examples: \2SET NOMEMO ON\2",
    "          \2SET NOMEMO OFF\2",
    NULL
};

static const char *set_enforce_help[] =
{
    "Syntax: \2SET ENFORCE ON|OFF\2",
    " ",
    "Modifies your nickname \2ENFORCE\2ment setting. With \2ENFORCE\2",
    "on, \2" ns "\2 will not allow anyone to use your nickname without",
    "\2IDENTIFY\2ing unless they match an entry in your \2" ns "\2",
    "\2ACCESS\2 list.",
    " ",
    "Examples: \2SET ENFORCE ON\2",
    "          \2SET ENFORCE OFF\2",
    NULL
};

static const char *set_secure_help[] =
{
    "Syntax: \2SET SECURE ON|OFF\2",
    " ",
    "Modifies your \2SECURE\2 setting. With \2SECURE\2 on, you",
    "must \2IDENTIFY\2 to be able to use it, whether you are on",
    "the \2ACCESS\2 list or not.",
    " ",
    "Examples: \2SET SECURE ON\2",
    "          \2SET SECURE OFF\2",
    NULL
};

static const char *set_url_help[] =
{
    "Syntax: \2SET URL URL|None\2",
    " ",
    "Adds, changes, or removes your \2URL\2. A \2URL\2 must be",
    "valid in order to store it in \2" ns "\2, ie, \2www.something.com\2",
    "will not work, you must use \2http://www.something.com\2."
    " ",
    "Examples: \2SET URL http://www.something.com\2",
    "          \2SET URL None\2",
    NULL
};

static const char *set_uin_help[] =
{
    "Syntax: \2SET UIN UIN|None\2",
    " ",
    "Adds, changes, or removes your \2UIN\2. A \2UIN\2 must be a",
    "valid number between 1001 and 2147483646 in order to store it",
    "in \2" ns "\2.",
    " ",
    "Examples: \2SET UIN 82398923\2",
    "          \2SET UIN None\2",
    NULL
};

static const char *set_case_help[] =
{
    "Syntax: \2SET CASE NewCase\2",
    " ",
    "Changes the case of your nickname to the new case specified.",
    "Useful if your nickname is registered in all caps and you wish",
    "to change it.",
    " ",
    "Example: \2SET CASE NeWcAse\2",
    NULL
};

static const char *status_help[] =
{
    "Syntax: \2STATUS\2",
    " ",
    "Shows you what access you have to \2" ns "\2.",
    "\2" ns "\2 will show any combination of 7 flags:",
    " ",
    "\2Registered\2      Your nickname is registered.",
    "\2Unregistered\2    Your nickname is not registered.",
    "\2Recognized\2      You are recognized as the owner.",
    "\2Identified\2      You are identified to this nickname.",
    "\2IRCOp\2           You have the IRCOp flag on, or are opered.",
    "\2CSOp\2            You are in the CSOp list.",
    "\2SRA\2             You are a Services Root Admin.",
    " ",
    "If any of the flags have a * beside them, then you have a limited",
    "version of that flag, and will need to \2IDENTIFY\2 to have full",
    "access.",
    " ",
    "Example: \2STATUS\2",
    NULL
};

static const char *oper_drop_help[] =
{
    "Syntax: \2DROP [Nickname]\2",
    " ",
    "Without a parameter, drops your nickname from the",
    ns " database.",
    " ",
    "With a parameter, drops the named nick from the database.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *oper_slaves_help[] =
{
    "Syntax: \2LINKS [Nickname]\2",
    " ",
    "Without a parameter, will list any nicknames registered as",
    "links to your primary nickname.",
    " ",
    "With a parameter, does the same to the specified nickname.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *getpass_help[] =
{
    "Syntax: \2GETPASS Nickname\2",
    " ",
    "Returns the password for the given nickname. Note that",
    "whenever this command is used, a message including the",
    "person who issued the command and the nickname it was used",
    "on will be logged and sent out as a GLOBOPS.",
    " ",
    "Level required: \2CSOp\2.",
    NULL
};

static const char *setpass_help[] =
{
    "Syntax: \2SETPASS Nickname NewPassword\2",
    " ",
    "Changes the password for the given nickname to the password",
    "provided. When this command is used, a message including the",
    "person who issued the command and the nickname it was used on",
    "will be logged and sent out via GLOBOPS.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *sendpass_help[] =
{
    "Syntax: \2SENDPASS Nickname\2",
    " ",
    "E-Mails the password for the given nickname to the E-Mail",
    "stored in " ns " for that nickname. When this command is",
    "used, it will be logged and a global notice sent.",
    " ",
    "Level required: \2CSOp\2.",  
    NULL
};

static const char *forbid_help[] =
{
    "Syntax: \2FORBID Nickname\2",
    " ",
    "Disallows a nickname from being registered or used by",
    "anyone. May be cancelled by dropping the nick.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *suspend_help[] =
{
    "Syntax: \2SUSPEND Nickname Reason\2",
    " ",
    "Stops a user from using a nickname. The user will not be",
    "able to identify, read memos, etc.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *unsuspend_help[] =
{
    "Syntax: \2UNSUSPEND Nickname Reason\2",
    " ",
    "This reverses the SUSPEND command, giving back full control",
    "to the user. Everything previously imposed by SUSPEND will",
    "be reversed. One drawback however is that their last-seen",
    "hostmask will be lost - this is regained the next time they",
    "identify.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *set_ircop_help[] =
{
    "Syntax: \2SET IRCOP ON|OFF\2",
    " ",
    "Disallows your nickname from being expired, and adds",
    "IRCOp to your \2INFO\2 display.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *deop_help[] =
{
    "Syntax: \2DEOP Nick\2",
    " ",
    "Takes the IRCOp flag away from someone.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *remail_help[] =
{
    "Syntax: \2REMAIL Nick\2",
    " ",
    "Removes the specified nicks E-Mail.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *mark_help[] =
{
    "Syntax: \2MARK Nick\2",
    " ",
    "Stops GETPASSing, SETPASSing, and SENDPASSing from all but SRAs.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *unmark_help[] =
{
    "Syntax: \2UNMARK Nick\2",
    " ",
    "Undoes a MARK command.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *hold_help[] =
{
    "Syntax: \2HOLD Nick\2",
    " ",
    "Stops a nick from expiring.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *unhold_help[] =
{
    "Syntax: \2UNHOLD Nick\2",
    " ",
    "Undoes a HOLD.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *ns_ircop_help[] =
{
    "\2SET IRCOP\2       Turns the IRCOp flag on for your nick",
    "\2SET INFO\2        Set your information",
    "\2LINKS\2           Shows you the nicks linked to the given nick",
    NULL
};
   
static const char *ns_sop_help[] =
{ 
    "\2DROP\2            De-Registers a nick",
    "\2GETPASS\2         Gets the password of a nick",
    "\2SETPASS\2         Sets the password of a nick",
    "\2FORBID\2          Forbid use of a nick",
    "\2SUSPEND\2         Immobilizes a nick",
    "\2UNSUSPEND\2       Undo a suspension",
    "\2DEOP\2            Remove the IRCOp flag from a nick",
    "\2REMAIL\2          Remove a nicks E-Mail",
    NULL
};

static const char *ns_sendpass_help[] =
{
    "\2SENDPASS\2        E-Mails a nick's password to the set E-Mail",
    NULL
};

static const char *ns_admin_help[] =
{
    "\2MARK\2            Stop GETPASS, SETPASS and SENDPASS on a nick",
    "\2UNMARK\2          Undo a MARK",
    "\2HOLD\2            Stops a nick from expiring",
    "\2UNHOLD\2          Undo a HOLD",
    NULL
};
