/* OperServ help texts.
   
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.
 */

static const char *os_help_start[] =
{
    "*** \2" os " Help\2 ***",
    " ",
    NULL
};
   
static const char *os_help_end[] =
{
    " ",
    "*** \2End of Help\2 ***",
    NULL
};

static const char *os_help[] =
{
    "\2AKILL\2           Manipulate the AKILL list",
    "\2PAKILL\2          Manipulate the PAKILL list",
    "\2GLOBAL\2          Send a message to all users",
    "\2STATS\2           Status of Services' and the network",
    "\2SETTINGS\2        Show hardcoded Services' settings",
    "\2LISTCHANS\2       Search the " cs " DB",
    "\2LISTNICKS\2       Search the " ns " DB",
    "\2LISTOPER\2        List nicks with the IRCOp flag",
    "\2QLINE\2           Quarantine a nick",
    "\2UNQLINE\2         Remove nick quarantine",
    NULL
};

static const char *os_sop_help[] =
{
    "\2TRIGGER\2         Manipulate the clone trigger limits",
    "\2IGNORE\2          Server auto-ignores",
    "\2JUPE\2            Jupiter a server or nickname",
    "\2UPDATE\2          Update Services' DBs",
    "\2LOGONMSG\2        Manipulate the Logon Messages",
    NULL
};

static const char *os_admin_help[] =
{
    "\2CSOP\2            Manipulate the Services Operator list",
    "\2OPERMSG\2         Manipulate the Oper Messages",
    "\2RELOAD\2          Reload databases/config immediately",
    "\2REHASH\2          Re-read the paradox.conf file",
    "\2DEBUG\2           Enable/Disable debug mode",
    "\2SENDPINGS\2       Manually update " ss "'s lag checks",
    "\2QUITNOSAVE\2      Terminate Services without saving the DBs",
    "\2SHUTDOWN\2        Save Services' DBs and terminate",
    "\2RAW\2             Send information to Services' uplink",
    "\2INJECT\2          Fake information from Services' uplink",
    NULL
};

static const char *os_end_help[] =
{
    " ",
    "For more help with a specific service, See that service's OHELP.",
    NULL
};

static const char *sop_help[] =
{
    "Syntax: \2CSOP ADD Nick\2",
    "        \2CSOP DEL Nick\2",
    "        \2CSOP LIST [Nick]\2",
    " ",
    "Allows SRAs to manipulate the CSOp list. Any oper who",
    "is on this list will be given special privilages such as",
    "the ability to GETPASS, etc. Any function marked as a",
    "CSOp function is available to them.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *logonmsg_help[] =
{
    "Syntax: \2LOGONMSG ADD Text\2",
    "        \2LOGONMSG DEL Num\2",
    "        \2LOGONMSG LIST\2",
    " ",
    "Allows CSOps to manipulate the Logon Messages.  These",
    "messages are displayed to every user when they log on.",
    " ",
    "LOGONMSG ADD adds the given text to the Logon Messages.",
    "LOGONMSG DEL removes the numbered message from list.",
    "LOGONMSG LIST shows all current Logon Messages.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *opermsg_help[] =
{
    "Syntax: \2OPERMSG ADD Text\2",
    "        \2OPERMSG DEL Num\2",
    "        \2OPERMSG LIST\2",
    " ",
    "Allows SRAs to manipulate the Oper Messages. These",
    "messages are displayed to a user when they oper.",
    " ",
    "OPERMSG ADD adds the given text to the Oper Messages.",
    "OPERMSG DEL removes the numbered message from list.",
    "OPERMSG LIST shows all current Oper Messages.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *akill_help[] =
{
    "Syntax: \2AKILL ADD Mask Reason\2",
    "        \2AKILL DEL Mask\2",
    "        \2AKILL LIST [Mask]\2",
    "        \2AKILL LISTFULL [Mask]\2",
    " ",
    "Allows IRCOps to manipulate the AKILL list. If a user",
    "matching an AKILL mask attempts to connect, Services will",
    "issue a KILL for that user. AKILL's expire after 7 days.",
    " ",
    "AKILL ADD adds the given user@host mask to the AKILL list.",
    "AKILL DEL removes the given mask from the AKILL list.",
    "AKILL LIST shows all current AKILLs, without reasons listed.",
    "AKILL LISTFULL shows all the current AKILLs, with reasons listed.",
    " ",
    "Note that PAKILLs are no longer shown in the AKILL list. See",
    "PAKILL list for PAKILLs.",
    " ",
    "Only SRAs can add @* AKILLs.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *pakill_help[] =
{
    "Syntax: \2PAKILL ADD Mask Reason\2",
    "        \2PAKILL DEL Mask\2",
    "        \2PAKILL LIST [Mask]\2",
    "        \2PAKILL LISTFULL [Mask]\2",
    " ",
    "Allows IRCOps to manipulate the PAKILL list. If a user",
    "matching an PAKILL mask attempts to connect, Services will",
    "issue a KILL for that user. PAKILLs do not expire.",
    "See help on AKILL for further information.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *trigger_help[] =
{
    "Syntax: \2TRIGGER ADD Host Amount Reason\2",
    "        \2TRIGGER DEL Host\2",
    "        \2TRIGGER LIST [Pattern]\2",
    " ",
    "If a user matching \2Host\2 attempts to connect, will",
    "Services will grant them \2Amount\2 connections at once,",
    "instead of the standard amount. If more than this are attempted",
    "however, Services will issue a KILL for that user.",
    " ",
    "TRIGGER ADD adds the given host to the TRIGGER list.",
    "TRIGGER DEL removes the given host from the TRIGGER list.",
    "TRIGGER LIST shows all current triggers.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *stats_help[] =
{
    "Syntax: \2STATS\2",
    " ",
    "Shows various Services statistics. These are different",
    "from the statistics " ss " dispenses.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *settings_help[] =
{
    "Syntax: \2SETTINGS\2",
    " ",
    "Shows a listing of various settings in Services.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *update_help[] =
{
    "Syntax: \2UPDATE\2",
    " ",
    "Forces Services to update the databases.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *reload_help[] =
{
    "Syntax: \2RELOAD\2",
    " ",
    "Makes Services shutdown and restart. This will reload the conf.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *rehash_help[] =
{
    "Syntax: \2REHASH\2",
    " ",
    "This will make Services re-read the paradox.conf file.",
    "Note that if your conf contains any invalid settings, Services",
    "will terminate and you will have to restart them. Because of this,",
    "Services will force a DB update before re-reading the conf.",
    "They will NOT reload the databases. Use the \2RELOAD\2 function",
    "to do this.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *debug_help[] =
{
    "Syntax: \2DEBUG\2",
    " ",
    "Enables/disables the DEBUG mode. When DEBUG mode is on, Services",
    "will log all information sent/recieved to/from the server. This is",
    "useful for finding problems in Services. Debugging is saved to",
    "the debug.log file.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *global_help[] =
{
    "Syntax: \2GLOBAL Message\2",
    " ",
    "Sends a notice to the entire network using your",
    "GlobalNoticer.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *quitnosave_help[] =
{
    "Syntax: \2QUITNOSAVE\2",
    " ",
    "Causes Services to do an immediate shutdown. All",
    "changes to the Services DBs since the last update",
    "will be lost.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *shutdown_help[] =
{
    "Syntax: \2SHUTDOWN\2",
    " ",
    "Tells Services to save the DBs and shut down.",
    "A global will be sent to inform the users of what is going on.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *jupe_help[] =
{
    "Syntax: \2JUPE Server|Nick [Reason]\2",
    " ",
    "Jupiters a server or nickname. This brings on a fake",
    "server or nickname, thus making it unusable by others.",
    "Jupes are not stored in any db and will be lost if",
    "Services is restarted.",
    " ",
    "Server jupes can be removed by /SQUITting the server,",
    "and nick jupes can be removed with a /KILL.",
    " ",
    "Make sure your Services uplink has an H:Line for",
    "Services BEFORE using this for servers, or your",
    "uplink will reject Services (thus splitting them).",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *qline_help[] =
{
    "Syntax: \2QLINE Nick [Reason]\2",
    " ",
    "Sends a nick QUARANTINE line to all servers that",
    "forbids anyone but IRCOp's from using the nick.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *unqline_help[] =
{
    "Syntax: \2UNQLINE Nick\2",
    " ",
    "Removes a nick QUARANTINE set by QLINE, thus",
    "re-enabling the nick to be used by all users.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *sendpings_help[] =
{
    "Syntax: \2SENDPINGS\2",
    " ",
    "Pings all the servers on the network. This information",
    "is then used for \2" ss "\2's lag display. \2" ss "\2 updates",
    "the lag display itself every 60 seconds (paradox.conf default)",
    "so you shouldn't need to use this.",
    " ",
    "Level required: \2SRA\2.",
    NULL
};

static const char *ignore_help[] =
{
    "Syntax: \2IGNORE ADD Nick\2",
    "        \2IGNORE DEL Nick\2",
    "        \2IGNORE LIST [Pattern]\2",
    " ",
    "Maintain Services internal ignore list. If a user triggers",
    "Services flood protection more than a certain amount",
    "of times (seen with \2SETTINGS\2), it will put them on the",
    "IGNORE list. You may also add and remove people yourself",
    "to and from this list. Temporary ignores dont show up on",
    "this list.",
    " ",
    "Level required: \2CSOp or higher\2.",
    NULL
};

static const char *listoper_help[] =
{
    "Syntax: \2LISTOPER Pattern [Max]\2",
    " ",
    "Searches the nick.db for nicks with the IRCOp flag set.",
    "Pattern will be matched against the nickname and the",
    "nickname's last hostmask. Note that you must provide",
    "*'s and ?'s, or Services will only show exact matches",
    "for your pattern.",
    " ",
    "Max defaults to 50, and is limited to 250.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *listchans_help[] =
{
    "Syntax: \2LISTCHANS Pattern [Max]\2",
    " ",
    "Searches the chan.db. \2Pattern\2 will be matched against",
    "the channel's name, the channel's description, the channel's",
    "founder, and the channel founder's last hostmask. Note that",
    "you must provide *'s and ?'s, or Services will only show exact",
    "matches for your pattern. Also note that Pattern can not contain",
    "spaces. Use a * in place of a space if needed.",
    " ",
    "Max defaults to 50, and is limited to 250.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *listnicks_help[] =
{
    "Syntax: \2LISTNICKS Pattern [Max]\2",
    " ",
    "Searches the nick.db. Pattern will be matched against the",
    "nickname and the nickname's last hostmask. Note that you",
    "must provide *'s and ?'s, or Services will only show exact",
    "matches for your pattern.",
    " ",
    "Max defaults to 50, and is limited to 250.",
    " ",
    "Level required: \2IRCOp or higher\2.",
    NULL
};

static const char *raw_help[] =
{
    "Syntax: \2RAW Command\2",
    " ",
    "Just one of many offerings from It's Not A Toy INC.",
    " ",
    "Sends raw information to service's uplink. What you can",
    "send depends on your IRCd. You can obtain the RAWFAQ at:",
    "\2ftp://ftp.wrecked.net/pub/wreckednet/info/rawfaq.txt\2",
    " ",
    "The RAW command is not supported in any way.",
    " ",
    "Remember, It's Not A Toy (tm).",
    " ",
    "Level required: \2SRA\2.",
    NULL
};
    
static const char *inject_help[] =
{
    "Syntax: \2INJECT Command\2",
    " ",
    "The latest from It's Not A Toy INC.",
    " ",
    "Fools Services into thinking the data you gave came from the",
    "uplink. Services will process this data and act on it as though",
    "it were real. Note that this can be very bad in some cases and",
    "may cause Services to crash. The commands are case sensitive.",
    "This is your only example, pay attention:",
    " ",
    "INJECT :User PRIVMSG " ns " :HELP",
    " ",
    "Note the : at the start, the UPPER CASE command, and the : before",
    "the body of the command.",
    " ",
    "The INJECT command is not supported in any way.",
    " ",
    "Remember, It's Not A Toy (tm).",
    " ",
    "Level required: \2SRA\2.",
    NULL
};
