#!/bin/sh
#
# Increment services build number

VERSION="$1"

if [ -f version.h ] ; then
	BUILD=`fgrep '#define BUILD' version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
	BUILD=`expr $BUILD + 1`
else
	BUILD=1
fi
cat >version.h <<EOF
/* Version information for services.
  
   Paradox IRC Services - (c) 2001 In Mean
       E-Mail: <paradox@auspice.org> IRC: auspice@Auspice.org
   WreckedNet IRC Services - (c) 2000 Darcy Grexton
       E-Mail: <skold@wrecked.net> IRC: skold@WreckedNet
   Based on Magick 1.4
  
   Magick IRC Services are copyright (c) 1996-1998 Preston A. Elder.
       E-mail: <prez@magick.tm>   IRC: PreZ@RelicNet
   Originally based on EsperNet services (c) 1996-1998 Andy Church
   This program is free but copyrighted software; see the file COPYING for
   details.

   This file is automatically generated during compile. Any changes will
   be lost the next time you recompile. Edit version.sh if nessecary.
 */

#define BUILD "$BUILD"

static char version_number[] = "$VERSION";
static char version_build[] = BUILD;
static char compile_time[] = "`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`";
static char *infotext[] =
{
    "Based on the original code written by Andrew Church",
    "Copyright 2000-2002 The Auspice.org and Paradox Services", 
    " ",
    "This program is free software, you can redistribute it and/or",
    "modify it under the terms of the GNU General Public License as",
    "published by the Free Software Foundation; either version 1, or",
    "(at your option) any later version.",
    " ",
    "Paradox IRC Services Developers:",
    " ",
    "auspice            In Mean            auspice@auspice.org",
    " ",
    "Developers for previous versions:",
    " ",
    "skold              Darcy Grexton      skold@wrecked.net",
    "Preston A. Elder   W. King            Andrew Church",
    " ",
    0,
};
EOF
